
RCS file: /var/cvs/bash_completion/bash_completion,v
Working file: bash_completion
head: 1.737
branch:
locks: strict
access list:
symbolic names:
	rel20040711: 1.737
	rel20040704: 1.731
	rel20040526: 1.714
	rel20040331: 1.700
	rel20040214: 1.690
	rel20040210: 1.683
	rel20040101: 1.672
	rel20031225: 1.667
	rel20031215: 1.662
	rel20031125: 1.657
	rel20031112: 1.653
	rel20031022: 1.644
	rel20031007: 1.637
	rel20031029: 1.630
	rel20030911: 1.624
	rel20030821: 1.617
	rel20030811: 1.610
	rel20030803: 1.603
	rel20030721: 1.594
	rel20030713: 1.590
	rel20030630: 1.585
	rel20030607: 1.579
	rel20030527: 1.571
	rel20030505: 1.562
	rel20030501: 1.560
	rel20030419: 1.548
	rel20030414: 1.543
	rel20030327: 1.538
	rel20030227: 1.535
	rel20030209: 1.529
	rel20030201: 1.524
	rel20030126: 1.520
	rel20030118: 1.515
	rel20030113: 1.511
	devel: 1.504.0.2
	rel20021231: 1.504
	rel20021223: 1.499
	rel20021221: 1.493
	rel20021217: 1.489
	rel20021213: 1.486
	rel20021205: 1.480
	rel20021026: 1.462
	rel20021022: 1.455
	rel20021021: 1.453
	rel20021017: 1.448
	rel20021013: 1.438
	rel20021007: 1.432
	rel20021005: 1.428
	rel20021001: 1.420
	rel20020928: 1.415
	rel20020909: 1.410
	rel20020819: 1.404
	rel20020812: 1.401
	rel20020803: 1.397
	rel20020727: 1.390
	rel20020723: 1.387
	rel20020716: 1.383
	rel20020711: 1.379
	rel20020704: 1.377
	rel20020626: 1.374
	rel20020624: 1.370
	rel20020621: 1.366
	rel20020619: 1.362
	rel20020616: 1.358
	rel20020611: 1.355
	rel20020609: 1.353
	rel20020605: 1.348
	rel20020601: 1.339
	rel20020528: 1.335
	rel20020521: 1.332
	rel20020519: 1.329
	rel20020516: 1.322
	rel20020514: 1.317
	rel20020511: 1.313
	rel20020507: 1.305
	rel20020504: 1.297
	rel20020430: 1.290
	rel20020427: 1.286
	rel20020422: 1.278
	rel20020418: 1.272
	rel20020413: 1.267
	rel20020408: 1.264
	rel20020406: 1.262
	rel20020404: 1.259
	rel20020402: 1.246
	rel20020331: 1.239
	rel20020330: 1.237
	rel20020328: 1.229
	rel20020326: 1.221
	rel20020324: 1.213
	rel20020322: 1.210
	rel20020318: 1.204
	rel20020314: 1.197
	rel20020311: 1.195
	rel20020306: 1.180
	rel20020304: 1.177
	rel20020227: 1.163
	rel20020225: 1.145
	rel20020220: 1.138
	rel20020215: 1.118
	rel20020213: 1.108
	rel20020212: 1.105
	rel20020209: 1.96
	rel20020206: 1.93
	rel20020204: 1.84
	rel20020130: 1.77
	rel20020124: 1.70
	rel20020121: 1.60
	rel20020115: 1.55
	rel20020109: 1.53
	rel20020105: 1.47
keyword substitution: kv
total revisions: 741;	selected revisions: 741
description:
----------------------------
revision 1.737
date: 2004/07/11 18:36:39;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20040711
----------------------------
revision 1.736
date: 2004/07/11 18:18:24;  author: ianmacd;  state: Exp;  lines: +3 -3

- eliminate use of grep in _filedir_xspec() (patch by Claudio Bley
  <bley@CS.uni-magdeburg.de>)
----------------------------
revision 1.735
date: 2004/07/06 06:10:33;  author: ianmacd;  state: Exp;  lines: +2 -2

- minor fix to mutt completion
----------------------------
revision 1.734
date: 2004/07/05 23:45:00;  author: ianmacd;  state: Exp;  lines: +6 -5

- fix for dpkg completion (patch by Itay Ben-Yaacov <nib_maps@yahoo.com>)
----------------------------
revision 1.733
date: 2004/07/05 23:35:36;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow symbolic links in /etc/bash_completion.d (patch by Ville Skyttä
  <ville.skytta@iki.fi>)
----------------------------
revision 1.732
date: 2004/07/05 23:31:47;  author: ianmacd;  state: Exp;  lines: +3 -3

- improve insmod, modinfo etc completion with path names (patch by Ville
  Skyttä <ville.skytta@iki.fi>)
----------------------------
revision 1.731
date: 2004/07/04 01:47:31;  author: ianmacd;  state: Exp;  lines: +2 -2

- release updated to 20040704
----------------------------
revision 1.730
date: 2004/07/04 01:40:08;  author: ianmacd;  state: Exp;  lines: +3 -3

- '[' must come first in character classes for sed 4.1. _configure() needed to
  be fixed.
----------------------------
revision 1.729
date: 2004/07/04 01:15:29;  author: ianmacd;  state: Exp;  lines: +15 -4

mark-directories and mark-symlinked-directories are very convenient readline
settings which append a slash to a completed directory/symlinked directory.
Unfortunately, this doesn't work with directories found by looking at $CDPATH.

There is now also a slash appended if the user completes on an unambiguous
directory found by looking at $CDPATH.

Patch by Claudio Bley <bley@CS.uni-magdeburg.de>.
----------------------------
revision 1.728
date: 2004/07/04 00:56:08;  author: ianmacd;  state: Exp;  lines: +10 -1

- add _rl_enabled() to detect whether a given readline variable is on. (patch
  by Claudio Bley <bley@CS.uni-magdeburg.de>)
----------------------------
revision 1.727
date: 2004/07/04 00:51:18;  author: ianmacd;  state: Exp;  lines: +21 -1

- pgrep and pidof completion by "Peter K. Jensen" <pekaje@gmx.net>
----------------------------
revision 1.726
date: 2004/07/04 00:31:33;  author: ianmacd;  state: Exp;  lines: +9 -3

- use getent for UID and GID completion when available (based on a patch from
  Guillaume Rousse <rousse@ccr.jussieu.fr>)
----------------------------
revision 1.725
date: 2004/07/04 00:26:29;  author: ianmacd;  state: Exp;  lines: +9 -4

- allow service completion to work on xinetd services (patch by Guillaume
  Rousse <rousse@ccr.jussieu.fr>)
----------------------------
revision 1.724
date: 2004/07/04 00:23:57;  author: ianmacd;  state: Exp;  lines: +3 -2

- fix some spurious warnings in CVS completion (patch by Guillaume Rousse
  <rousse@ccr.jussieu.fr>)
----------------------------
revision 1.723
date: 2004/07/04 00:20:34;  author: ianmacd;  state: Exp;  lines: +3 -29

- use --dump-options with gpg to get viable options (much cleaner than listing
  them all) (patch by Andreas Seltenreich <uwi7@rz.uni-karlsruhe.de>)
----------------------------
revision 1.722
date: 2004/07/04 00:11:09;  author: ianmacd;  state: Exp;  lines: +8 -2

- fix mutt completion so that leading '=' character is handled properly
  (patch from Joe Nahmias <joe@nahmias.net>)
----------------------------
revision 1.721
date: 2004/07/04 00:03:19;  author: ianmacd;  state: Exp;  lines: +3 -2

- allow Emacs to complete on archives (patch from Frédéric Bothamy
  <frederic.bothamy@free.fr>)
----------------------------
revision 1.720
date: 2004/07/04 00:01:03;  author: ianmacd;  state: Exp;  lines: +2 -2

- add autossh to list of commands that perform _ssh() completion
----------------------------
revision 1.719
date: 2004/06/18 07:40:28;  author: ianmacd;  state: Exp;  lines: +3 -3

- properly complete on .Z files during tar completion
----------------------------
revision 1.718
date: 2004/06/14 07:59:41;  author: ianmacd;  state: Exp;  lines: +2 -2

- add ssh-installkeys to list of programs that use known host completion
  (Josh Glover <jmglov@jmglov.net>)
----------------------------
revision 1.717
date: 2004/06/14 07:56:58;  author: ianmacd;  state: Exp;  lines: +4 -1

- Various OpenOffice completions from Ian Redfern <Ian.Redfern@LogicaCMG.com>
----------------------------
revision 1.716
date: 2004/06/01 08:08:18;  author: ianmacd;  state: Exp;  lines: +15 -1

- fix PID completion for AIX and Solaris. Patch by Benjamin Floering
  <floering@us.ibm.com>
----------------------------
revision 1.715
date: 2004/06/01 08:02:57;  author: ianmacd;  state: Exp;  lines: +22 -9

- update to aptitude completion by Rafael Sepulveda <rsepulveda@gmail.com>
----------------------------
revision 1.714
date: 2004/05/26 07:20:56;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20040526
----------------------------
revision 1.713
date: 2004/05/26 07:15:28;  author: ianmacd;  state: Exp;  lines: +56 -2

- info completion by Matt Perry <matt@primefactor.com>
----------------------------
revision 1.712
date: 2004/05/24 09:50:30;  author: ianmacd;  state: Exp;  lines: +23 -18

- chkconfig factorisation and improvements by
  Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.711
date: 2004/05/24 09:44:44;  author: ianmacd;  state: Exp;  lines: +24 -2

- xmms(1) gets its own completion function.
  Patch by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.710
date: 2004/05/24 09:43:21;  author: ianmacd;  state: Exp;  lines: +2 -2

- use filenames by default for cdrecord completion
----------------------------
revision 1.709
date: 2004/05/24 09:42:32;  author: ianmacd;  state: Exp;  lines: +101 -1

- aspell completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.708
date: 2004/05/24 09:12:31;  author: ianmacd;  state: Exp;  lines: +8 -1

- add SuSE support for ifup/down and ifstatus, if present. Patch from
  Jonathan <rise@knavery.net>
----------------------------
revision 1.707
date: 2004/05/24 09:00:23;  author: ianmacd;  state: Exp;  lines: +20 -21

- improvement to _update_alternatives() by Ville Skyttä <ville.skytta@iki.fi>
----------------------------
revision 1.706
date: 2004/05/24 08:28:20;  author: ianmacd;  state: Exp;  lines: +3 -3

- minor fix to _command() to allow leading whitespace on the command line
----------------------------
revision 1.705
date: 2004/05/20 06:40:59;  author: ianmacd;  state: Exp;  lines: +3 -3

- dpkg -P is not recognised or completed. Fix from Paul Brook <paul@nowt.org>
----------------------------
revision 1.704
date: 2004/05/16 00:07:21;  author: ianmacd;  state: Exp;  lines: +2 -2

- don't allow aliases for grep to be used during make completion
----------------------------
revision 1.703
date: 2004/05/16 00:01:29;  author: ianmacd;  state: Exp;  lines: +2 -2

- make mutt file completion actually work after redirection
----------------------------
revision 1.702
date: 2004/05/15 23:58:30;  author: ianmacd;  state: Exp;  lines: +7 -7

- fix mutt sed errors after redirection
----------------------------
revision 1.701
date: 2004/05/11 18:06:08;  author: ianmacd;  state: Exp;  lines: +4 -1

- builtin completes on builtins
----------------------------
revision 1.700
date: 2004/03/31 17:45:32;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20040331
----------------------------
revision 1.699
date: 2004/03/30 23:21:51;  author: ianmacd;  state: Exp;  lines: +2 -2

- remove links from list of commands that complete on .html
----------------------------
revision 1.698
date: 2004/03/30 23:16:24;  author: ianmacd;  state: Exp;  lines: +2 -2

- mplayer file extension additions from Michael Spurlock <mspurloc@us.ibm.com>
----------------------------
revision 1.697
date: 2004/03/30 23:01:33;  author: ianmacd;  state: Exp;  lines: +15 -1

- CUPS cancel(1) completion by Jean-Baptiste Quenot <jb.quenot@caraldi.com>
----------------------------
revision 1.696
date: 2004/03/30 22:17:15;  author: ianmacd;  state: Exp;  lines: +2 -2

- minor mkisofs fix
----------------------------
revision 1.695
date: 2004/03/30 22:16:07;  author: ianmacd;  state: Exp;  lines: +2 -2

- add amaya to list of browsers
----------------------------
revision 1.694
date: 2004/03/30 22:15:33;  author: ianmacd;  state: Exp;  lines: +3 -3

- _comp-dpkg-installed-packages() was not returning packages designated
  'essential'
----------------------------
revision 1.693
date: 2004/03/30 22:12:09;  author: ianmacd;  state: Exp;  lines: +26 -8

- allow cvs completion to handle the various sub-command abbreviataions, such
  as 'di' for 'diff', etc. (patch from Chris Halls <halls@debian.org>)
----------------------------
revision 1.692
date: 2004/03/30 21:02:46;  author: ianmacd;  state: Exp;  lines: +12 -5

- fix man and cc completion for Cygwin (patch by Mike Wittman
  <mwittman@seismicmicro.com>)
----------------------------
revision 1.691
date: 2004/02/25 04:03:28;  author: ianmacd;  state: Exp;  lines: +3 -3

- some versions of bash don't like function names containing hyphens
----------------------------
revision 1.690
date: 2004/02/15 03:45:21;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20040214
----------------------------
revision 1.689
date: 2004/02/14 10:28:58;  author: ianmacd;  state: Exp;  lines: +3 -4

- big speed up for dpkg completion (patch from Philipp Weis <pweis@pweis.com>)
----------------------------
revision 1.688
date: 2004/02/13 08:47:38;  author: ianmacd;  state: Exp;  lines: +7 -3

- fix chsh completion to work on Debian
----------------------------
revision 1.687
date: 2004/02/13 08:27:24;  author: ianmacd;  state: Exp;  lines: +3 -1

- fix for ant completion by Itamar Almeida de Carvalho <itamar@oktiva.com.br>
----------------------------
revision 1.686
date: 2004/02/13 08:24:42;  author: ianmacd;  state: Exp;  lines: +2 -2

- make 'make -f' completion work properly (fix from
  Matthew Cheetah Gabeler-Lee <cheetah@fastcat.org>
----------------------------
revision 1.685
date: 2004/02/12 21:48:32;  author: ianmacd;  state: Exp;  lines: +2 -2

- don't unset $have twice at end of script (fix from
  Salve Nilsen <salve.nilsen@met.no>)
----------------------------
revision 1.684
date: 2004/02/12 21:37:39;  author: ianmacd;  state: Exp;  lines: +2 -2

- fix up a continuation error in _filedir()
----------------------------
revision 1.683
date: 2004/02/10 09:33:22;  author: ianmacd;  state: Exp;  lines: +2 -2

- update to release 20040210
----------------------------
revision 1.682
date: 2004/02/09 22:12:40;  author: ianmacd;  state: Exp;  lines: +2 -2

- make apt-cache know about the rdepends option
  (patch by Vince <loki@internode.on.net>)
----------------------------
revision 1.681
date: 2004/02/09 22:06:01;  author: ianmacd;  state: Exp;  lines: +3 -2

- install yum-arch completion only if we also have yum
----------------------------
revision 1.680
date: 2004/02/09 22:02:48;  author: ianmacd;  state: Exp;  lines: +34 -1

- dd completion by Andrew Taylor <ataylor@its.to>
----------------------------
revision 1.679
date: 2004/02/09 21:57:31;  author: ianmacd;  state: Exp;  lines: +3 -3

- xine and mplayer can complete on .VOB files (previously, only .vob was
  supported)
----------------------------
revision 1.678
date: 2004/02/09 21:52:35;  author: ianmacd;  state: Exp;  lines: +3 -2

- make xspec parsing immune to comments (Debian bug #226812)
  (fix by Immanuel Halupczok <debian@karimmi.de>)
----------------------------
revision 1.677
date: 2004/02/09 21:40:41;  author: ianmacd;  state: Exp;  lines: +4 -9

- stop things like 'sudo mount<Tab>' from returning all possible completions
  as a single argument.

  Sigh. I no longer understand this function and I'm sure this has now
  broken something else. This is simply impossible to get right. Shell
  was never meant for anything this complicated. :-(

  The breakage seems to have been introduced as part of 1.577.
----------------------------
revision 1.676
date: 2004/02/09 20:57:10;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow mplayer to complete on .m2v files, too
----------------------------
revision 1.675
date: 2004/02/09 20:52:56;  author: ianmacd;  state: Exp;  lines: +5 -2

- make export completion do proper quoting when completing a variable's
  value (patch from Andreas Seltenreich <uwi7@rz.uni-karlsruhe.de>
----------------------------
revision 1.674
date: 2004/02/09 20:50:56;  author: ianmacd;  state: Exp;  lines: +7 -4

- add 'up' as a synonym to 'update' in CVS completion (patch from
  Ville Skyttä <ville.skytta@iki.fi>
----------------------------
revision 1.673
date: 2004/02/09 20:49:11;  author: ianmacd;  state: Exp;  lines: +2 -2

- xine can also complete on .asx files
----------------------------
revision 1.672
date: 2004/01/01 07:39:28;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20040101
----------------------------
revision 1.671
date: 2004/01/01 01:18:21;  author: ianmacd;  state: Exp;  lines: +2 -2

- avoid pulling in .rpm* files from $BASH_COMPLETION_DIR/*
  (fix by Ville Skyttä <ville.skytta@iki.fi>)
----------------------------
revision 1.670
date: 2004/01/01 00:58:30;  author: ianmacd;  state: Exp;  lines: +18 -1

- Postfix completion enhancement by Michael G <michaelg@amerion.net>
----------------------------
revision 1.669
date: 2004/01/01 00:51:46;  author: ianmacd;  state: Exp;  lines: +16 -11

- wvdial patch from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.668
date: 2004/01/01 00:48:05;  author: ianmacd;  state: Exp;  lines: +4 -3

- FreeBSD portinstall fix from Jean-Baptiste Quenot <jb.quenot@caraldi.com>
----------------------------
revision 1.667
date: 2003/12/24 23:19:13;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20031225
----------------------------
revision 1.666
date: 2003/12/24 16:11:43;  author: ianmacd;  state: Exp;  lines: +2 -2

- ogg123 can now handle .flac and .spx files
----------------------------
revision 1.665
date: 2003/12/15 19:02:22;  author: ianmacd;  state: Exp;  lines: +53 -21

- mutt completion improvements by Rodrigo Bernardo Pimentel <rbp@isnomore.net>
----------------------------
revision 1.664
date: 2003/12/15 18:57:49;  author: ianmacd;  state: Exp;  lines: +8 -2

- more improvements to find(1) completion by Rodrigo Bernardo Pimentel
  <rbp@isnomore.net>
----------------------------
revision 1.663
date: 2003/12/15 18:54:17;  author: ianmacd;  state: Exp;  lines: +2 -2

- forgot to update release
----------------------------
revision 1.662
date: 2003/12/15 09:49:51;  author: ianmacd;  state: Exp;  lines: +13 -7

- find(1) completion improvements by Rodrigo Bernardo Pimentel
  <rbp@isnomore.net>
----------------------------
revision 1.661
date: 2003/12/15 09:42:50;  author: ianmacd;  state: Exp;  lines: +376 -3

- ImageMagick completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.660
date: 2003/12/15 09:30:23;  author: ianmacd;  state: Exp;  lines: +54 -54

- replace some white space
----------------------------
revision 1.659
date: 2003/12/15 09:09:01;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow gpdf to complete on PDF files
----------------------------
revision 1.658
date: 2003/12/12 11:10:49;  author: ianmacd;  state: Exp;  lines: +8 -7

- apt-cache completion updates from Danilo Piazzalunga
  <danilopiazza@libero.it>
----------------------------
revision 1.657
date: 2003/11/25 19:07:20;  author: ianmacd;  state: Exp;  lines: +2 -2

- update version to 20031125
----------------------------
revision 1.656
date: 2003/11/25 18:37:37;  author: ianmacd;  state: Exp;  lines: +97 -1

- first cut at mutt completion by Rodrigo Bernardo Pimentel <rbp@isnomore.net>
----------------------------
revision 1.655
date: 2003/11/19 19:11:25;  author: ianmacd;  state: Exp;  lines: +2 -2

- user completion for w(1)
----------------------------
revision 1.654
date: 2003/11/15 08:59:13;  author: ianmacd;  state: Exp;  lines: +52 -31

- yum completion improvements from Haakon Nilsen <haakon@ii.uib.no>
----------------------------
revision 1.653
date: 2003/11/12 10:20:42;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20031112
----------------------------
revision 1.652
date: 2003/11/12 10:19:52;  author: ianmacd;  state: Exp;  lines: +4 -1

- default to file completion in perldoc, if current parameter contains
  a slash
----------------------------
revision 1.651
date: 2003/11/12 10:10:52;  author: ianmacd;  state: Exp;  lines: +4 -3

- further bogus matches removed from makefile completion
----------------------------
revision 1.650
date: 2003/11/05 19:41:32;  author: ianmacd;  state: Exp;  lines: +2 -2

- add .aac and .mp4 support to mplayer
----------------------------
revision 1.649
date: 2003/11/04 00:27:29;  author: ianmacd;  state: Exp;  lines: +3 -4

- remove bogus targets from make completion
----------------------------
revision 1.648
date: 2003/11/03 23:33:01;  author: ianmacd;  state: Exp;  lines: +2 -2

- add support for matroska files to mplayer
----------------------------
revision 1.647
date: 2003/11/03 23:28:55;  author: ianmacd;  state: Exp;  lines: +14 -1

- rpm -qf improvement by Götz Waschk <waschk@informatik.uni-rostock.de>
----------------------------
revision 1.646
date: 2003/11/02 21:19:46;  author: ianmacd;  state: Exp;  lines: +3 -1

- gzip should complete on .gz files after redirection
----------------------------
revision 1.645
date: 2003/10/30 22:40:28;  author: ianmacd;  state: Exp;  lines: +2 -2

- bash 'command' built-in should also complete on commands
----------------------------
revision 1.644
date: 2003/10/22 09:16:51;  author: ianmacd;  state: Exp;  lines: +2 -2

- update version to 20031022
----------------------------
revision 1.643
date: 2003/10/20 21:07:58;  author: ianmacd;  state: Exp;  lines: +2 -2

- another unbound variable warning removed
----------------------------
revision 1.642
date: 2003/10/20 21:05:20;  author: ianmacd;  state: Exp;  lines: +7 -3

- add URL for latest version of software
----------------------------
revision 1.641
date: 2003/10/17 08:51:32;  author: ianmacd;  state: Exp;  lines: +3 -3

- add completion for vsound and really
----------------------------
revision 1.640
date: 2003/10/17 08:26:39;  author: ianmacd;  state: Exp;  lines: +4 -3

- FreeBSD portinstall speed improvements from
  Jean-Baptiste Quenot <jb.quenot@caraldi.com>
----------------------------
revision 1.639
date: 2003/10/17 08:24:30;  author: ianmacd;  state: Exp;  lines: +2 -2

- ee and display also complete on .pcx files
----------------------------
revision 1.638
date: 2003/10/08 03:12:27;  author: ianmacd;  state: Exp;  lines: +3 -3

- yum and yum-arch now use -o filenames
----------------------------
revision 1.637
date: 2003/10/07 08:50:16;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20031007
----------------------------
revision 1.636
date: 2003/10/07 08:42:33;  author: ianmacd;  state: Exp;  lines: +18 -40

- more bash 3.x compatibility fixes
----------------------------
revision 1.635
date: 2003/10/07 08:17:33;  author: ianmacd;  state: Exp;  lines: +65 -1

- yum(8) and yum-arch(8) completion by Ville Skyttä <ville.skytta@iki.fi>
----------------------------
revision 1.634
date: 2003/10/07 08:02:00;  author: ianmacd;  state: Exp;  lines: +50 -14

- compatibility fixes for bash 3.x
----------------------------
revision 1.633
date: 2003/10/07 06:50:08;  author: ianmacd;  state: Exp;  lines: +2 -2

- ggv can also handle .bz2 files
----------------------------
revision 1.632
date: 2003/10/07 06:47:55;  author: ianmacd;  state: Exp;  lines: +10 -2

- iptables fixes from Alexander Davydenko <mba@cs.tu-berlin.de>
----------------------------
revision 1.631
date: 2003/10/07 06:45:03;  author: ianmacd;  state: Exp;  lines: +7 -6

- minor IPSec fixes
----------------------------
revision 1.630
date: 2003/09/29 18:08:05;  author: ianmacd;  state: Exp;  lines: +2 -2

- update version to 20030929
----------------------------
revision 1.629
date: 2003/09/29 09:24:15;  author: ianmacd;  state: Exp;  lines: +2 -2

- simple perl completion fix by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.628
date: 2003/09/17 07:41:37;  author: ianmacd;  state: Exp;  lines: +12 -17

- Java fixes from Markus Wiederkehr <wmax@gmx.net>
----------------------------
revision 1.627
date: 2003/09/13 17:06:14;  author: ianmacd;  state: Exp;  lines: +1 -250

- urpmi completion removed; it's now maintained separately by
  Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.626
date: 2003/09/13 16:49:49;  author: ianmacd;  state: Exp;  lines: +33 -7

- postsuper patch from Liviu Daia <Liviu.Daia@imar.ro>
----------------------------
revision 1.625
date: 2003/09/13 08:24:24;  author: ianmacd;  state: Exp;  lines: +3 -3

- .m3u completion for relevant tools
----------------------------
revision 1.624
date: 2003/09/11 23:16:44;  author: ianmacd;  state: Exp;  lines: +2 -2

- update version to 20030911
----------------------------
revision 1.623
date: 2003/09/11 23:13:40;  author: ianmacd;  state: Exp;  lines: +64 -9

- gzip and bzip2 rewrite by Liviu Daia <Liviu.Daia@imar.ro>
----------------------------
revision 1.622
date: 2003/09/11 23:04:10;  author: ianmacd;  state: Exp;  lines: +2 -2

- really fix Java classpath thing
----------------------------
revision 1.621
date: 2003/09/11 00:50:30;  author: ianmacd;  state: Exp;  lines: +5 -2

- fix service completion from completing on ~ and function files
----------------------------
revision 1.620
date: 2003/09/11 00:32:22;  author: ianmacd;  state: Exp;  lines: +2 -2

- add .xpi files to unzip completion
----------------------------
revision 1.619
date: 2003/09/11 00:21:25;  author: ianmacd;  state: Exp;  lines: +2 -2

- properly skip classpath string in Java completion
----------------------------
revision 1.618
date: 2003/08/22 07:12:51;  author: ianmacd;  state: Exp;  lines: +3 -3

- minor ant completion fix by Bart Vanhaute <bart.vanhaute@skynet.be>
----------------------------
revision 1.617
date: 2003/08/21 09:55:40;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030821
----------------------------
revision 1.616
date: 2003/08/19 18:52:31;  author: ianmacd;  state: Exp;  lines: +2 -2

- bind pkill to same completion function as killall for now
----------------------------
revision 1.615
date: 2003/08/18 21:59:05;  author: ianmacd;  state: Exp;  lines: +20 -1

- mc completion by Koblinger Egmont <egmont@uhulinux.hu>
----------------------------
revision 1.614
date: 2003/08/18 21:31:45;  author: ianmacd;  state: Exp;  lines: +46 -6

- add postcat completion and make minor improvements to other Postfix
  command completions (patch by Liviu Daia <Liviu.Daia@imar.ro>)
----------------------------
revision 1.613
date: 2003/08/18 09:54:07;  author: ianmacd;  state: Exp;  lines: +11 -16

- make chown completion work, whether or not the colon between user and
  group name is escaped (fix from Oliver Kiddle <okiddle@yahoo.co.uk>)
----------------------------
revision 1.612
date: 2003/08/18 09:33:29;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow rpm to complete on .nosrc.rpm packages
----------------------------
revision 1.611
date: 2003/08/17 17:21:48;  author: ianmacd;  state: Exp;  lines: +2 -2

- xine can also play .wav files
----------------------------
revision 1.610
date: 2003/08/11 20:36:19;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030811
----------------------------
revision 1.609
date: 2003/08/08 23:21:51;  author: ianmacd;  state: Exp;  lines: +4 -4

- fix killall completion on bash 2.05a (by Liviu.Daia@imar.ro)
----------------------------
revision 1.608
date: 2003/08/05 17:41:40;  author: ianmacd;  state: Exp;  lines: +18 -12

- more make completion fixes from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.607
date: 2003/08/05 00:32:25;  author: ianmacd;  state: Exp;  lines: +15 -5

- make _uids() and _gids() functions use Perl for getpwent(3)
----------------------------
revision 1.606
date: 2003/08/04 05:15:28;  author: ianmacd;  state: Exp;  lines: +91 -5

- mkisofs completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.605
date: 2003/08/04 01:40:25;  author: ianmacd;  state: Exp;  lines: +7 -9

- minor reorganisation
----------------------------
revision 1.604
date: 2003/08/04 01:36:10;  author: ianmacd;  state: Exp;  lines: +81 -3

- cdrecord completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.603
date: 2003/08/03 04:02:32;  author: ianmacd;  state: Exp;  lines: +3 -3

- update release to 20030803
----------------------------
revision 1.602
date: 2003/08/03 03:23:26;  author: ianmacd;  state: Exp;  lines: +2 -2

- stop vi et al from completing on Java .class files
----------------------------
revision 1.601
date: 2003/08/03 03:19:30;  author: ianmacd;  state: Exp;  lines: +58 -50

- 'make' completion rewrite by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.600
date: 2003/08/03 03:07:38;  author: ianmacd;  state: Exp;  lines: +3 -3

- turn --targetbuildarch into --target and --buildarch in rpm completion
- rpm's --rebuild and --recompile can also use --target
----------------------------
revision 1.599
date: 2003/08/03 02:57:49;  author: ianmacd;  state: Exp;  lines: +36 -13

- tcpdump fixes from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.598
date: 2003/08/03 02:52:43;  author: ianmacd;  state: Exp;  lines: +170 -15

- mplayer improvements from Ariel Fermani <the_end@bbs.frc.utn.edu.ar>
----------------------------
revision 1.597
date: 2003/08/03 02:42:45;  author: ianmacd;  state: Exp;  lines: +3 -1

- allow find completion to return filenames in addition to options if
  completing on a null token
----------------------------
revision 1.596
date: 2003/07/29 04:19:03;  author: ianmacd;  state: Exp;  lines: +5 -5

- some perldoc clean-up
----------------------------
revision 1.595
date: 2003/07/21 10:05:34;  author: ianmacd;  state: Exp;  lines: +3 -3

- add --triggerscripts option to rpm completion
----------------------------
revision 1.594
date: 2003/07/21 07:59:24;  author: ianmacd;  state: Exp;  lines: +2 -2

- update to 20030721
----------------------------
revision 1.593
date: 2003/07/20 09:52:57;  author: ianmacd;  state: Exp;  lines: +5 -5

- .shtml completion for browsers
- extra extension completions for xine and xanim
- vim et all should not complete on .gz and .bz2 files
  (all of the above by Ariel Fermani <the_end@bbs.frc.utn.edu.ar>)
----------------------------
revision 1.592
date: 2003/07/20 09:45:06;  author: ianmacd;  state: Exp;  lines: +26 -14

- mplayer fixes and improvements from Ariel Fermani
  <the_end@bbs.frc.utn.edu.ar>
----------------------------
revision 1.591
date: 2003/07/20 08:46:37;  author: ianmacd;  state: Exp;  lines: +3 -3

- dselect fix by Ariel Fermani <the_end@bbs.frc.utn.edu.ar>
----------------------------
revision 1.590
date: 2003/07/13 08:12:26;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030713
----------------------------
revision 1.589
date: 2003/07/13 03:37:07;  author: ianmacd;  state: Exp;  lines: +2 -2

- _iwfconfig() typo fix by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.588
date: 2003/07/11 09:22:55;  author: ianmacd;  state: Exp;  lines: +9 -4

- allow find to search through more than one directory root
  (fix derived from patch by Denis McLaughlin <denism@cyberus.ca>)
----------------------------
revision 1.587
date: 2003/07/11 08:48:07;  author: ianmacd;  state: Exp;  lines: +5 -4

- update rpm completion for rpm 4.2 (patch from Götz Waschk
  <waschk@informatik.uni-rostock.de>)
----------------------------
revision 1.586
date: 2003/07/11 08:30:59;  author: ianmacd;  state: Exp;  lines: +9 -4

- modify kldload and portinstall completion for FreeBSD 5
  (patch from Jean-Baptiste Quenot <jb.quenot@caraldi.com>)
----------------------------
revision 1.585
date: 2003/06/30 01:41:57;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030630
----------------------------
revision 1.584
date: 2003/06/30 01:35:57;  author: ianmacd;  state: Exp;  lines: +4 -3

- fix process truncation problem with killall completion
----------------------------
revision 1.583
date: 2003/06/23 15:54:01;  author: ianmacd;  state: Exp;  lines: +4 -3

- psql update from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.582
date: 2003/06/23 15:39:59;  author: ianmacd;  state: Exp;  lines: +4 -3

- new urpmi update from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.581
date: 2003/06/18 00:18:30;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow mplayer to complete on .dump files
----------------------------
revision 1.580
date: 2003/06/10 21:55:30;  author: ianmacd;  state: Exp;  lines: +2 -2

- add xhost to host completion
----------------------------
revision 1.579
date: 2003/06/07 23:23:49;  author: ianmacd;  state: Exp;  lines: +4 -3

- update release to 20030607
----------------------------
revision 1.578
date: 2003/06/07 23:11:27;  author: ianmacd;  state: Exp;  lines: +6 -1

- some standard make commands (e.g. make world) for FreeBSD
----------------------------
revision 1.577
date: 2003/06/07 23:09:34;  author: ianmacd;  state: Exp;  lines: +35 -27

- patch from Ilya <ilya@po4ta.com> to fix _command(), so that (in his words):
  - Now work ok for commands with spaces
  - Work if command completion is set with complete -W '...'
  - Work in case when complete -F function and function use COMP_POINT or
    COMP_LINE
  - Fixed bug of incorrect completion list in case 'sudo vim <Tab>'
----------------------------
revision 1.576
date: 2003/06/07 22:59:37;  author: ianmacd;  state: Exp;  lines: +7 -5

- make ifconfig completion work on FreeBSD, too
----------------------------
revision 1.575
date: 2003/06/07 22:46:04;  author: ianmacd;  state: Exp;  lines: +3 -3

- explicit path to postconf(1) for Postfix completion
----------------------------
revision 1.574
date: 2003/06/02 02:41:33;  author: ianmacd;  state: Exp;  lines: +2 -2

- minor mount completion fix
----------------------------
revision 1.573
date: 2003/06/01 20:44:41;  author: ianmacd;  state: Exp;  lines: +2 -2

- make .html completion case-insensitive
----------------------------
revision 1.572
date: 2003/06/01 20:09:45;  author: ianmacd;  state: Exp;  lines: +1 -2

- fix FreeBSD portinstall completion
----------------------------
revision 1.571
date: 2003/05/26 18:22:44;  author: ianmacd;  state: Exp;  lines: +4 -2

- minor apt-cache completion fix
----------------------------
revision 1.570
date: 2003/05/26 18:17:05;  author: ianmacd;  state: Exp;  lines: +14 -3

- handle the case whereby we're sourced from a shell function
----------------------------
revision 1.569
date: 2003/05/26 06:50:45;  author: ianmacd;  state: Exp;  lines: +4 -3

- dpkg completion was missing the -x option
----------------------------
revision 1.568
date: 2003/05/21 17:01:42;  author: ianmacd;  state: Exp;  lines: +2 -2

- add pkg_delete and pkg_info back onto FreeBSD commands that use
  _pkg_delete()
----------------------------
revision 1.567
date: 2003/05/21 09:57:58;  author: ianmacd;  state: Exp;  lines: +26 -2

- add FreeBSD portinstall completion (patch by Jean-Baptiste Quenot
  <jb.quenot@caraldi.com>)
----------------------------
revision 1.566
date: 2003/05/17 09:55:11;  author: ianmacd;  state: Exp;  lines: +6 -6

- various bits of code referred to ${#COMP_WORDS} instead of ${#COMP_WORDS[@]}
----------------------------
revision 1.565
date: 2003/05/17 09:52:42;  author: ianmacd;  state: Exp;  lines: +2 -2

- silence stderr in man invocation in perldoc completion
----------------------------
revision 1.564
date: 2003/05/16 07:12:14;  author: ianmacd;  state: Exp;  lines: +2 -2

- make insmod/modprobe completion handle .ko files for the 2.5/2.6 Linux kernel
----------------------------
revision 1.563
date: 2003/05/06 08:39:49;  author: ianmacd;  state: Exp;  lines: +8 -2

- modify _cd() to make an attempt at variable completion
----------------------------
revision 1.562
date: 2003/05/05 06:48:30;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20030505
----------------------------
revision 1.561
date: 2003/05/04 18:35:17;  author: ianmacd;  state: Exp;  lines: +2 -2

- rpm completion was broken for Mandrake 9.1. Its rpm 4.0.4 doesn't allow
  --nodigest
----------------------------
revision 1.560
date: 2003/05/01 05:42:25;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030501
----------------------------
revision 1.559
date: 2003/04/29 07:38:32;  author: ianmacd;  state: Exp;  lines: +3 -2

- minor fix to _insmod() to get modprobe -k <Tab> to do something.
  patch from Josh Rosenau <jrosenau@ukans.edu>
----------------------------
revision 1.558
date: 2003/04/29 07:28:10;  author: ianmacd;  state: Exp;  lines: +18 -8

- some rpm completion speed-ups, adapted from a patch by Dag Wieers
  <dag@wieers.com>
----------------------------
revision 1.557
date: 2003/04/29 02:24:20;  author: ianmacd;  state: Exp;  lines: +35 -36

- new urpmi completion patch from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.556
date: 2003/04/26 02:33:16;  author: ianmacd;  state: Exp;  lines: +2 -2

- add --target to rpm -[bt] completion
----------------------------
revision 1.555
date: 2003/04/23 07:30:46;  author: ianmacd;  state: Exp;  lines: +26 -21

- more urpmi updates from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.554
date: 2003/04/20 22:30:40;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow xmms to complete on .mp2 files
----------------------------
revision 1.553
date: 2003/04/20 22:19:55;  author: ianmacd;  state: Exp;  lines: +3 -3

- fix scp completion problem where 'scp file\ <Tab>' did not complete for
  a file with a space in the name
----------------------------
revision 1.552
date: 2003/04/20 22:15:38;  author: ianmacd;  state: Exp;  lines: +3 -2

- make have() user a wider path for searching for binaries on the system.
  This enables completion functions for more binaries present on the system
  to be installed
----------------------------
revision 1.551
date: 2003/04/20 21:53:43;  author: ianmacd;  state: Exp;  lines: +10 -9

- fix up command completion noglob stuff ('sudo service' was broken, for
  example)
----------------------------
revision 1.550
date: 2003/04/20 21:28:17;  author: ianmacd;  state: Exp;  lines: +17 -16

- urpmi completion update from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.549
date: 2003/04/19 08:52:57;  author: ianmacd;  state: Exp;  lines: +3 -3

- fix FreeBSD ports programs completion
----------------------------
revision 1.548
date: 2003/04/19 07:44:04;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030419
----------------------------
revision 1.547
date: 2003/04/19 07:43:41;  author: ianmacd;  state: Exp;  lines: +10 -2

- fix for sudo completion when subcommand is passed wildcard globs
  (patch by Lucien Saviot <Lucien.Saviot@u-bourgogne.fr>)
----------------------------
revision 1.546
date: 2003/04/19 01:12:37;  author: ianmacd;  state: Exp;  lines: +17 -10

- minor improvement to --export completion of gpg and the addition of
  --recipient completion (patch by jens.heunemann@tngtech.com)
----------------------------
revision 1.545
date: 2003/04/17 09:38:27;  author: ianmacd;  state: Exp;  lines: +2 -2

- somehow, _expand had been disabled by a stray colon, so that ~user would
  be expanded, but ~user/foo* would not
----------------------------
revision 1.544
date: 2003/04/15 08:54:50;  author: ianmacd;  state: Exp;  lines: +74 -2

- move dict completion into main file and rewrite from scratch
----------------------------
revision 1.543
date: 2003/04/14 09:42:09;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030414
----------------------------
revision 1.542
date: 2003/04/14 08:35:23;  author: ianmacd;  state: Exp;  lines: +28 -1

- added completion for iconv(1)
----------------------------
revision 1.541
date: 2003/04/12 05:05:37;  author: ianmacd;  state: Exp;  lines: +3 -3

- make apt-cache complete the showsrc argument
----------------------------
revision 1.540
date: 2003/04/08 07:48:47;  author: ianmacd;  state: Exp;  lines: +19 -1

- KDE dcop completion by Haakon Nilsen <haakon.nilsen@student.uib.no>
----------------------------
revision 1.539
date: 2003/03/29 08:29:49;  author: ianmacd;  state: Exp;  lines: +2 -2

- fix another unset variable warning in CVS completion
----------------------------
revision 1.538
date: 2003/03/27 09:07:11;  author: ianmacd;  state: Exp;  lines: +2 -2

- update to release 20030327
----------------------------
revision 1.537
date: 2003/03/27 07:48:09;  author: ianmacd;  state: Exp;  lines: +38 -37

- when completing on file in /etc/init.d, only complete if we really are
  dealing with the init script, not a stand-alone file of the same name
----------------------------
revision 1.536
date: 2003/03/18 00:34:02;  author: ianmacd;  state: Exp;  lines: +2 -2

- fix core file completion in gdb
----------------------------
revision 1.535
date: 2003/02/27 09:31:14;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030227
----------------------------
revision 1.534
date: 2003/02/27 09:30:07;  author: ianmacd;  state: Exp;  lines: +3 -2

- exclude mysql init script from completion, as it clashes with completion
  for stand-alone mysql
----------------------------
revision 1.533
date: 2003/02/26 01:17:54;  author: ianmacd;  state: Exp;  lines: +11 -11

- patch from Oliver Kiddle to make bash-completion compatible with the
  new bash completion emulation feature of zsh
----------------------------
revision 1.532
date: 2003/02/18 21:35:56;  author: ianmacd;  state: Exp;  lines: +2 -2

- exclude ssh from service completion, as it clashes with regular ssh
  completion on Debian
----------------------------
revision 1.531
date: 2003/02/16 08:39:26;  author: ianmacd;  state: Exp;  lines: +2 -2

- add .tga completion to ee and display
----------------------------
revision 1.530
date: 2003/02/10 07:55:22;  author: ianmacd;  state: Exp;  lines: +3 -3

- make slay complete on users and don't redefine su completion
----------------------------
revision 1.529
date: 2003/02/09 09:14:09;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20030209
----------------------------
revision 1.528
date: 2003/02/08 07:33:51;  author: ianmacd;  state: Exp;  lines: +14 -2

- allow 'cvs -d' to complete from ~/.cvspass (modified patch from
  Rodrigo Damazio <rodrigo.damazio@poli.usp.br>)
----------------------------
revision 1.527
date: 2003/02/07 18:04:35;  author: ianmacd;  state: Exp;  lines: +3 -3

- don't append spaces after directories when doing mount completion
- allow default completion if there are no matches during make completion
----------------------------
revision 1.526
date: 2003/02/06 19:08:16;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow Java completion to cover .ear files (J2EE Enterprise Application
  aRchive)
----------------------------
revision 1.525
date: 2003/02/06 19:06:29;  author: ianmacd;  state: Exp;  lines: +7 -7

- silence more unset variable warnings in CVS completion
----------------------------
revision 1.524
date: 2003/02/01 22:39:25;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030201
----------------------------
revision 1.523
date: 2003/01/30 09:22:43;  author: ianmacd;  state: Exp;  lines: +13 -9

- make service completion Debian compatible
----------------------------
revision 1.522
date: 2003/01/30 08:56:28;  author: ianmacd;  state: Exp;  lines: +95 -2

- rsync completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.521
date: 2003/01/30 08:41:42;  author: ianmacd;  state: Exp;  lines: +2 -2

- minor cvs fix
----------------------------
revision 1.520
date: 2003/01/27 00:41:23;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030126
----------------------------
revision 1.519
date: 2003/01/25 22:22:16;  author: ianmacd;  state: Exp;  lines: +5 -5

- silence more unset variable warnings in cvs completion
  (patch from "Irlapati, Samuel J." <samuel.irlapati@unisys.com>)
----------------------------
revision 1.518
date: 2003/01/25 22:11:18;  author: ianmacd;  state: Exp;  lines: +3 -1

- minor fix to ant completion from Jean-Baptiste Quenot <jb.quenot@caraldi.com>
----------------------------
revision 1.517
date: 2003/01/21 08:21:15;  author: ianmacd;  state: Exp;  lines: +5 -3

- make completion now also supports GNUmakefile
----------------------------
revision 1.516
date: 2003/01/21 07:37:44;  author: ianmacd;  state: Exp;  lines: +5 -4

- make modinfo complete the same as insmod and modprobe
----------------------------
revision 1.515
date: 2003/01/18 09:36:22;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030118
----------------------------
revision 1.514
date: 2003/01/17 10:09:59;  author: ianmacd;  state: Exp;  lines: +15 -2

- improve handling of 'cvs export' (patch by Liviu Daia <Liviu.Daia@imar.ro>)
----------------------------
revision 1.513
date: 2003/01/17 10:01:29;  author: ianmacd;  state: Exp;  lines: +9 -4

- fix mount completion so that it also works on Solaris
----------------------------
revision 1.512
date: 2003/01/17 09:54:32;  author: ianmacd;  state: Exp;  lines: +9 -9

- fixes to man completion to make it work on Solaris
  (patch by Pablo Mejia <pjm@cctechnol.com>)
----------------------------
revision 1.511
date: 2003/01/13 16:31:21;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030113
----------------------------
revision 1.510
date: 2003/01/13 16:30:56;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow vim et al to complete on .a files
----------------------------
revision 1.509
date: 2003/01/13 03:30:37;  author: ianmacd;  state: Exp;  lines: +6 -2

- cd should also complete on variable names if cdable_vars is set
----------------------------
revision 1.508
date: 2003/01/13 03:28:28;  author: ianmacd;  state: Exp;  lines: +2 -3

- jar completes on .war as well as .jar
----------------------------
revision 1.507
date: 2003/01/09 11:44:29;  author: ianmacd;  state: Exp;  lines: +14 -6

- when completing on classes inside Java JAR files, use zipinfo instead of
  the jar command, if it is available
----------------------------
revision 1.506
date: 2003/01/09 11:25:58;  author: ianmacd;  state: Exp;  lines: +2 -2

- silence awk errors in known_hosts completion
----------------------------
revision 1.505
date: 2003/01/02 02:04:42;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow vi(m) to complete on ld.so.conf
----------------------------
revision 1.504
date: 2002/12/31 17:00:06;  author: ianmacd;  state: Exp;  lines: +2 -2
branches:  1.504.2;

- update release to 20021231
----------------------------
revision 1.503
date: 2002/12/31 03:15:25;  author: ianmacd;  state: Exp;  lines: +4 -4

- minor known_hosts() fix
----------------------------
revision 1.502
date: 2002/12/31 02:59:25;  author: ianmacd;  state: Exp;  lines: +59 -2

- extensive gpg(1) completion (more than just longopts, anyway) by
  "Guillaume Rousse" <rousse@ccr.jussieu.fr> with fix-ups by me
----------------------------
revision 1.501
date: 2002/12/31 02:40:22;  author: ianmacd;  state: Exp;  lines: +43 -1

- wvdial(1) completion by "Guillaume Rousse" <rousse@ccr.jussieu.fr>
----------------------------
revision 1.500
date: 2002/12/30 22:23:21;  author: ianmacd;  state: Exp;  lines: +142 -86

- mplayer improvements from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.499
date: 2002/12/23 18:28:54;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20021223
----------------------------
revision 1.498
date: 2002/12/23 08:53:48;  author: ianmacd;  state: Exp;  lines: +2 -2

- add groups(1) to list of commands that complete on user names
----------------------------
revision 1.497
date: 2002/12/23 08:52:37;  author: ianmacd;  state: Exp;  lines: +2 -2

- add dig to commands that complete on known hosts
----------------------------
revision 1.496
date: 2002/12/23 08:51:39;  author: ianmacd;  state: Exp;  lines: +5 -3

- in known hosts completion, check for known hosts files in
  /etc/ssh/ssh_known_hosts and /etc/ssh/ssh_known_hosts2
----------------------------
revision 1.495
date: 2002/12/22 18:45:02;  author: ianmacd;  state: Exp;  lines: +8 -7

- mplayer fixes
----------------------------
revision 1.494
date: 2002/12/22 18:29:34;  author: ianmacd;  state: Exp;  lines: +2 -2

- Java classpath string was not being skipped
----------------------------
revision 1.493
date: 2002/12/21 06:47:34;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20021221
----------------------------
revision 1.492
date: 2002/12/19 21:57:36;  author: ianmacd;  state: Exp;  lines: +2 -2

- minor removepkg fix
----------------------------
revision 1.491
date: 2002/12/19 21:56:47;  author: ianmacd;  state: Exp;  lines: +110 -3

- proper mplayer completion by Peter Valach <pvalach@gmx.net>
----------------------------
revision 1.490
date: 2002/12/18 19:15:46;  author: ianmacd;  state: Exp;  lines: +61 -58

- reinstate Samuel J. Irlapati's patch to avoid unbound variable warnings
  when bash is run with 'set -u'. This also fixes a CVS completion error
  if CVS completion is attempted in a directory with no CVS/Entries file.
  Patch was modified to test for set variables with -n, rather than ! -z.
----------------------------
revision 1.489
date: 2002/12/17 09:43:45;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20021217
----------------------------
revision 1.488
date: 2002/12/16 20:48:58;  author: ianmacd;  state: Exp;  lines: +5 -4

- tar should also be able to recognise .tar.Z (or .tZ for that matter) files
----------------------------
revision 1.487
date: 2002/12/14 02:17:43;  author: ianmacd;  state: Exp;  lines: +2 -1

- perldoc completion also returns names of core Perl man pages
----------------------------
revision 1.486
date: 2002/12/13 05:12:34;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20021213
----------------------------
revision 1.485
date: 2002/12/10 17:05:31;  author: ianmacd;  state: Exp;  lines: +51 -52

- revert unbound variable patch
----------------------------
revision 1.484
date: 2002/12/10 01:30:08;  author: ianmacd;  state: Exp;  lines: +6 -5

- ytalk now completes in the same way as talk
- traceroute6, tracepath and tracepath6 now also complete on known hosts
- command completion now also performed for ltrace, then, else and do
  (patches from Koblinger Egmont <egmont@uhulinux.hu>)
----------------------------
revision 1.483
date: 2002/12/09 21:48:15;  author: ianmacd;  state: Exp;  lines: +52 -51

- fix a lot of variable tests to avoid 'unbound variable' warnings when
  running bash with 'set -u' (some still remain, but the file now at least
  sources without warnings) (patch by Samuel Irlapati
  <samuel.irlapati@unisys.com>)
----------------------------
revision 1.482
date: 2002/12/09 21:35:37;  author: ianmacd;  state: Exp;  lines: +2 -2

- minor fix to gdb completion
----------------------------
revision 1.481
date: 2002/12/06 22:43:02;  author: ianmacd;  state: Exp;  lines: +2 -2

- commands that complete on .htm(l) files now complete on .(x)htm(l)
----------------------------
revision 1.480
date: 2002/12/05 21:43:10;  author: ianmacd;  state: Exp;  lines: +12 -8

- fix ypmatch completion
- update release to 20021205
----------------------------
revision 1.479
date: 2002/12/05 17:58:26;  author: ianmacd;  state: Exp;  lines: +8 -5

- ypmatch takes parameters of key, map -- not map, key -- so key completion
  is not possible
----------------------------
revision 1.478
date: 2002/12/05 06:31:42;  author: ianmacd;  state: Exp;  lines: +22 -1

- first stab at ypmatch(1) and ypcat(1) completion
----------------------------
revision 1.477
date: 2002/12/05 05:22:22;  author: ianmacd;  state: Exp;  lines: +8 -8

- check for insmod and rmmod in path before installing completion functions
----------------------------
revision 1.476
date: 2002/12/05 02:58:28;  author: ianmacd;  state: Exp;  lines: +2 -2

- add rcsdiff to list of RCS commands that use RCS completion function
----------------------------
revision 1.475
date: 2002/12/05 02:56:19;  author: ianmacd;  state: Exp;  lines: +25 -22

- don't bother completing on PIDs in screen completion
  (patch by Jean-Baptiste Quenot <jb.quenot@caraldi.com>)
----------------------------
revision 1.474
date: 2002/12/05 02:52:56;  author: ianmacd;  state: Exp;  lines: +29 -5

- add FreeBSD portupgrade completion
  (from Jean-Baptiste Quenot <jb.quenot@caraldi.com>)
----------------------------
revision 1.473
date: 2002/12/05 02:47:49;  author: ianmacd;  state: Exp;  lines: +30 -4

- add FreeBSD kernel module command completion (patch from
  Jean-Baptiste Quenot <jb.quenot@caraldi.com>)
----------------------------
revision 1.472
date: 2002/12/05 02:31:52;  author: ianmacd;  state: Exp;  lines: +2 -2

- add .zargo to list of extensions that unzip can complete on (this is for
  Gentleware)
----------------------------
revision 1.471
date: 2002/12/05 02:18:17;  author: ianmacd;  state: Exp;  lines: +3 -2

- don't source files in $BASH_COMPLETION_DIR if they are vi swap files,
  Debian back-ups, Emacs temp files, back-ups, etc.
----------------------------
revision 1.470
date: 2002/12/04 07:41:21;  author: ianmacd;  state: Exp;  lines: +2 -2

- don't source files in $BASH_COMPLETION_DIR if they end in ~ or .bak
----------------------------
revision 1.469
date: 2002/12/04 07:26:35;  author: ianmacd;  state: Exp;  lines: +2 -2

- add .flac completion to xmms
----------------------------
revision 1.468
date: 2002/12/04 07:25:47;  author: ianmacd;  state: Exp;  lines: +2 -2

- make dpkg completion also handle .udeb files
----------------------------
revision 1.467
date: 2002/12/04 07:17:47;  author: ianmacd;  state: Exp;  lines: +2 -2

- dpkg completion completes for -c as for --contents
----------------------------
revision 1.466
date: 2002/12/04 05:43:34;  author: ianmacd;  state: Exp;  lines: +2 -2

- make gzip work with .tgz files, not just .gz files
----------------------------
revision 1.465
date: 2002/12/04 05:37:03;  author: ianmacd;  state: Exp;  lines: +2 -2

- make ee and display complete on .pnm and .xwd files
----------------------------
revision 1.464
date: 2002/12/04 05:32:06;  author: ianmacd;  state: Exp;  lines: +2 -2

- minor rpm fix
----------------------------
revision 1.463
date: 2002/12/04 05:02:12;  author: ianmacd;  state: Exp;  lines: +3 -3

- make texi2dvi complete like other LaTeX programs
----------------------------
revision 1.462
date: 2002/10/26 06:11:59;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20021026
----------------------------
revision 1.461
date: 2002/10/26 06:04:45;  author: ianmacd;  state: Exp;  lines: +51 -19

- Mandrake urpmi completion improvements from Guillaume Rousse
  <rousse@ccr.jussieu.fr>
----------------------------
revision 1.460
date: 2002/10/26 05:54:48;  author: ianmacd;  state: Exp;  lines: +3 -2

- .wav completion for mplayer
----------------------------
revision 1.459
date: 2002/10/25 22:45:23;  author: ianmacd;  state: Exp;  lines: +10 -11

- more scp fixes and simplifications
----------------------------
revision 1.458
date: 2002/10/23 16:05:16;  author: ianmacd;  state: Exp;  lines: +17 -1

- very basic look(1) completion
----------------------------
revision 1.457
date: 2002/10/23 15:50:04;  author: ianmacd;  state: Exp;  lines: +2 -2

- previous fix to man completion when completing on name with '.' in it,
  broke completion on names with colons in them. This fixes that.
----------------------------
revision 1.456
date: 2002/10/22 20:23:41;  author: ianmacd;  state: Exp;  lines: +3 -3

- use external ls in scp completion if an alias has been defined
----------------------------
revision 1.455
date: 2002/10/22 16:00:22;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20021022
----------------------------
revision 1.454
date: 2002/10/22 15:59:44;  author: ianmacd;  state: Exp;  lines: +10 -11

- get rid of scp helper function, as interpolation is subject to error
----------------------------
revision 1.453
date: 2002/10/21 06:42:40;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20021021
----------------------------
revision 1.452
date: 2002/10/20 22:20:49;  author: ianmacd;  state: Exp;  lines: +7 -3

- PID is optional in screen completion
  (patch from Jean-Baptiste Quenot <jb.quenot@caraldi.com>)
----------------------------
revision 1.451
date: 2002/10/20 22:11:21;  author: ianmacd;  state: Exp;  lines: +11 -7

- redirect stderr to /dev/null when performing remote path completion for
  scp
- factor out the scp ls completion code into its own function, as we need to
  call this once remotely and once locally
----------------------------
revision 1.450
date: 2002/10/20 06:56:41;  author: ianmacd;  state: Exp;  lines: +6 -5

- references to ps now use command built-in to avoid ps calling alias or
  function on systems where those are in use
----------------------------
revision 1.449
date: 2002/10/17 20:51:25;  author: ianmacd;  state: Exp;  lines: +4 -4

- fix sockets being returned in scp completon
- fix FreeBSD pkg_delete completion
----------------------------
revision 1.448
date: 2002/10/17 07:20:05;  author: ianmacd;  state: Exp;  lines: +5 -5

- update release to 20021017
----------------------------
revision 1.447
date: 2002/10/17 05:33:24;  author: ianmacd;  state: Exp;  lines: +13 -5

- scp completion fixes
  - don't escape : with \
  - doesn't require bash on remote machine
  - deal properly with file names containing spaces
  (patch by Lucien Saviot <Lucien.Saviot@u-bourgogne.fr>, with minor
  alterations from me)
----------------------------
revision 1.446
date: 2002/10/17 05:01:21;  author: ianmacd;  state: Exp;  lines: +19 -2

- simplify FreeBSD pkg_delete completion, so that it doesn't need sed
- add Slackware Linux removepkg completion (by Christian Birchinger
  <joker@netswarm.net>)
----------------------------
revision 1.445
date: 2002/10/17 03:18:34;  author: ianmacd;  state: Exp;  lines: +16 -1

- add FreeBSD pkg_delete and pkg_info completion
  (patch by Jean-Baptiste Quenot <jb.quenot@caraldi.com>)
----------------------------
revision 1.444
date: 2002/10/17 03:05:29;  author: ianmacd;  state: Exp;  lines: +2 -2

- Perl module completion loops endlessly if an element of the @INC path does
  not exist and there are subdirectories in the current directory
  (patch from Alexander Kreuzer <alex@flotzen.de>)
----------------------------
revision 1.443
date: 2002/10/17 02:53:37;  author: ianmacd;  state: Exp;  lines: +2 -2

- minor fix to apt-build completion
----------------------------
revision 1.442
date: 2002/10/17 02:47:30;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow xmms to also complete on .wav files
----------------------------
revision 1.441
date: 2002/10/16 00:09:09;  author: ianmacd;  state: Exp;  lines: +2 -3

- return core files in gdb completion
----------------------------
revision 1.440
date: 2002/10/14 19:57:15;  author: ianmacd;  state: Exp;  lines: +2 -2

- tar file completion on files within .bz2 archives did not work
----------------------------
revision 1.439
date: 2002/10/14 18:56:46;  author: ianmacd;  state: Exp;  lines: +2 -2

- in _tar(), don't perform regular file completion when completing on files
  inside tar files
----------------------------
revision 1.438
date: 2002/10/13 18:06:00;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20021013
----------------------------
revision 1.437
date: 2002/10/13 03:46:49;  author: ianmacd;  state: Exp;  lines: +90 -58

various fixes from Rafael Sepúlveda <drs@gnulinux.org.mx>
- fixed apt-cache 'show' completion bug
- fixed function names with hyphens
- aptitude completion function was loaded, regardless of presence of program
- various improvements to other Debian commands
----------------------------
revision 1.436
date: 2002/10/10 15:43:38;  author: ianmacd;  state: Exp;  lines: +2 -2

- mount completion should ignore commented out lines in /etc/fstab
----------------------------
revision 1.435
date: 2002/10/10 08:38:05;  author: ianmacd;  state: Exp;  lines: +37 -5

- add option completion to Python
- make Python completion append a '/' at the end of directories
  (use -o filenames rather than -o default to compgen)
  (patch by Rafael Sepúlveda <drs@gnulinux.org.mx>)
----------------------------
revision 1.434
date: 2002/10/09 07:29:14;  author: ianmacd;  state: Exp;  lines: +2 -2

- offer --force-confmiss, not --force-miss with dpkg completion
----------------------------
revision 1.433
date: 2002/10/08 07:00:57;  author: ianmacd;  state: Exp;  lines: +4 -1

- perform file completion with ssh when -i is given
----------------------------
revision 1.432
date: 2002/10/07 16:31:47;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20021007
----------------------------
revision 1.431
date: 2002/10/07 16:27:01;  author: ianmacd;  state: Exp;  lines: +2 -2

- back out double hostname fix for scp
----------------------------
revision 1.430
date: 2002/10/06 22:24:18;  author: ianmacd;  state: Exp;  lines: +2 -2

- fix error message when using insmod to complete on a file in ..
----------------------------
revision 1.429
date: 2002/10/05 21:33:03;  author: ianmacd;  state: Exp;  lines: +9 -2

- option completion for find had mysteriously disappeared
----------------------------
revision 1.428
date: 2002/10/05 09:48:48;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20021005
----------------------------
revision 1.427
date: 2002/10/05 09:34:57;  author: ianmacd;  state: Exp;  lines: +2 -2

- make jar completion accept a leading dash to its option list
  (patch by "C. Scott Ananian" <cananian@lesser-magoo.lcs.mit.edu>)
----------------------------
revision 1.426
date: 2002/10/05 09:33:14;  author: ianmacd;  state: Exp;  lines: +3 -4

- fix cvs counting bug
  (patch by "C. Scott Ananian" <cananian@lesser-magoo.lcs.mit.edu>
----------------------------
revision 1.425
date: 2002/10/05 09:31:43;  author: ianmacd;  state: Exp;  lines: +26 -5

- make java completion aware of -jar
----------------------------
revision 1.424
date: 2002/10/05 08:08:53;  author: ianmacd;  state: Exp;  lines: +6 -6

- silence some apt-cache complaints in various completions
  (patch by Rafael Sepúlveda <drs@gnulinux.org.mx>)
----------------------------
revision 1.423
date: 2002/10/05 08:03:21;  author: ianmacd;  state: Exp;  lines: +4 -2

- avoid awk error message in rmmod completion and grep error message in
  mount completion, when attempting to complete on a backslash
----------------------------
revision 1.422
date: 2002/10/05 07:52:37;  author: ianmacd;  state: Exp;  lines: +3 -3

- avoid double machine name bug in scp
----------------------------
revision 1.421
date: 2002/10/02 03:32:40;  author: ianmacd;  state: Exp;  lines: +94 -66

- many Debian command updates from Rafael Sepúlveda <drs@gnulinux.org.mx>
----------------------------
revision 1.420
date: 2002/10/01 09:06:01;  author: ianmacd;  state: Exp;  lines: +3 -1

- check for existence of links history file in links completion
----------------------------
revision 1.419
date: 2002/10/01 08:57:31;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20021001
----------------------------
revision 1.418
date: 2002/10/01 08:55:38;  author: ianmacd;  state: Exp;  lines: +37 -2

- links completion by Alan Ford <alan@whirlnet.co.uk>
----------------------------
revision 1.417
date: 2002/10/01 08:07:33;  author: ianmacd;  state: Exp;  lines: +3 -3

- some quoting changes to make life easier for Emacs users
----------------------------
revision 1.416
date: 2002/10/01 05:57:54;  author: ianmacd;  state: Exp;  lines: +3 -3

- fix quoting issue in chown and chgrp completion
----------------------------
revision 1.415
date: 2002/09/28 18:48:02;  author: ianmacd;  state: Exp;  lines: +3 -5

- apt-build completion was always installed, even if not present
----------------------------
revision 1.414
date: 2002/09/28 18:38:50;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020928
----------------------------
revision 1.413
date: 2002/09/28 18:33:12;  author: ianmacd;  state: Exp;  lines: +23 -20

- add some options to apt-build completion
  (Patch by Rafael Sepúlveda <drs@gnulinux.org.mx>)
----------------------------
revision 1.412
date: 2002/09/28 18:12:24;  author: ianmacd;  state: Exp;  lines: +54 -48

- add some parameters to apt-get completion
  (patch by Rafael Sepúlveda <drs@gnulinux.org.mx>
- white-space clean-up
----------------------------
revision 1.411
date: 2002/09/19 06:21:32;  author: ianmacd;  state: Exp;  lines: +2 -2

- make gvim complete on same files as vim
----------------------------
revision 1.410
date: 2002/09/09 18:31:59;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020909
----------------------------
revision 1.409
date: 2002/09/09 18:26:14;  author: ianmacd;  state: Exp;  lines: +11 -11

- rename rpm helper functions to be more consistent
----------------------------
revision 1.408
date: 2002/09/09 15:46:17;  author: ianmacd;  state: Exp;  lines: +5 -5

- fix for 'cvs add', where filename ends with another filename, such as
  aa.c and a.c
----------------------------
revision 1.407
date: 2002/09/08 22:04:26;  author: ianmacd;  state: Exp;  lines: +16 -3

- option completion for chown and chgrp
----------------------------
revision 1.406
date: 2002/09/08 21:48:27;  author: ianmacd;  state: Exp;  lines: +2 -2

- add .ogm and .mp4 to mplayer and xine
----------------------------
revision 1.405
date: 2002/08/23 02:00:04;  author: ianmacd;  state: Exp;  lines: +2 -2

- more file-types for xmms to complete on
----------------------------
revision 1.404
date: 2002/08/19 16:58:12;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020819
----------------------------
revision 1.403
date: 2002/08/19 16:56:55;  author: ianmacd;  state: Exp;  lines: +55 -38

- add Linux iwconfig completion
- consolidate most of ifconfig and iwconfig completion into _ifwconfig()
----------------------------
revision 1.402
date: 2002/08/12 16:04:58;  author: ianmacd;  state: Exp;  lines: +3 -2

- xmms can now also complete on .xm, .mod and .s3m files
----------------------------
revision 1.401
date: 2002/08/12 15:29:35;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020812
----------------------------
revision 1.400
date: 2002/08/06 22:04:47;  author: ianmacd;  state: Exp;  lines: +3 -3

- ./configure completion was not returning all possible completions for
  mawk users, as mawk does not recognise \w
----------------------------
revision 1.399
date: 2002/08/05 07:47:30;  author: ianmacd;  state: Exp;  lines: +2 -2

- no space after export completion (assuming bash 2.05b)
----------------------------
revision 1.398
date: 2002/08/05 07:39:37;  author: ianmacd;  state: Exp;  lines: +2 -2

- add .wmv files to those that aviplay will complete on
----------------------------
revision 1.397
date: 2002/08/03 09:35:33;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020803
----------------------------
revision 1.396
date: 2002/08/01 01:18:51;  author: ianmacd;  state: Exp;  lines: +3 -2

- silence eval errors in _filedir_xspec() when quoting goes awry
----------------------------
revision 1.395
date: 2002/08/01 01:11:14;  author: ianmacd;  state: Exp;  lines: +56 -1

- add apt-build completion by Rafael Sepúlveda <drs@gnulinux.org.mx>
----------------------------
revision 1.394
date: 2002/07/30 15:38:11;  author: ianmacd;  state: Exp;  lines: +2 -2

- add elinks to commands performing .html completion
----------------------------
revision 1.393
date: 2002/07/29 18:05:59;  author: ianmacd;  state: Exp;  lines: +116 -2

- perl and perldoc completion by Alex Shinn <foof@synthcode.com>
----------------------------
revision 1.392
date: 2002/07/29 06:48:29;  author: ianmacd;  state: Exp;  lines: +2 -2

- apparently, vim can edit .gz and .bz2 files, so don't exclude these from
  the completion list
----------------------------
revision 1.391
date: 2002/07/29 06:44:37;  author: ianmacd;  state: Exp;  lines: +2 -2

- fix sed error when completing a relative path in insmod completion
----------------------------
revision 1.390
date: 2002/07/27 09:12:57;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020727
----------------------------
revision 1.389
date: 2002/07/27 09:12:32;  author: ianmacd;  state: Exp;  lines: +2 -2

- fix typo in vim completion and add a couple more file types to avoid
  returning as possible completions
----------------------------
revision 1.388
date: 2002/07/26 18:55:35;  author: ianmacd;  state: Exp;  lines: +2 -2

- _man(): when completing on man page names, a trailing dot would be removed
  when trying to complete a man page such as syslog.conf
----------------------------
revision 1.387
date: 2002/07/23 15:59:48;  author: ianmacd;  state: Exp;  lines: +2 -2

- update to release 20020723
----------------------------
revision 1.386
date: 2002/07/23 15:59:15;  author: ianmacd;  state: Exp;  lines: +4 -4

- allow '@' in the release of RPM packages for rpm completion
----------------------------
revision 1.385
date: 2002/07/22 20:08:53;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow gunzip et al to recognise .dz files (compressed dict files)
----------------------------
revision 1.384
date: 2002/07/22 18:57:28;  author: ianmacd;  state: Exp;  lines: +22 -4

- add _user_at_host() for user@host style completion. Use this for finger
  and talk
- scp completion now no longer appends a space with bash 2.05b
- scp completion now discards stderr when performing remote path completion
----------------------------
revision 1.383
date: 2002/07/16 08:16:50;  author: ianmacd;  state: Exp;  lines: +3 -3

- bzgrep et all now also recognise .tbz2
- update release to 20020716
----------------------------
revision 1.382
date: 2002/07/16 01:07:03;  author: ianmacd;  state: Exp;  lines: +10 -2

- mount completion will now complete on Samba shares (only the volume, not
  the hostname part)
----------------------------
revision 1.381
date: 2002/07/15 23:07:02;  author: ianmacd;  state: Exp;  lines: +5 -3

- catch more possible completions in configure completion
----------------------------
revision 1.380
date: 2002/07/12 09:21:06;  author: ianmacd;  state: Exp;  lines: +2 -2

- add some file types that xv can complete on
----------------------------
revision 1.379
date: 2002/07/11 07:54:51;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020711
----------------------------
revision 1.378
date: 2002/07/08 05:09:22;  author: ianmacd;  state: Exp;  lines: +3 -3

- PINE address book completion fix
- allow WINE to complete on .scr files
----------------------------
revision 1.377
date: 2002/07/04 07:13:41;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020704
----------------------------
revision 1.376
date: 2002/07/04 05:45:06;  author: ianmacd;  state: Exp;  lines: +19 -7

- urpmi completion update from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.375
date: 2002/07/04 05:14:47;  author: ianmacd;  state: Exp;  lines: +2 -2

- touch-ups to mplayer completion
----------------------------
revision 1.374
date: 2002/06/26 08:28:12;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020626
----------------------------
revision 1.373
date: 2002/06/26 05:30:50;  author: ianmacd;  state: Exp;  lines: +6 -4

- make tilde expansion work during chown completion
----------------------------
revision 1.372
date: 2002/06/25 15:48:33;  author: ianmacd;  state: Exp;  lines: +3 -2

- make tar completion -o filenames by default.
  -o dirnames can be obtained by setting $COMP_TAR_INTERNAL_PATHS prior to
  sourcing.
----------------------------
revision 1.371
date: 2002/06/24 21:40:04;  author: ianmacd;  state: Exp;  lines: +7 -3

- restore expansion of ~: its removal broke too much
----------------------------
revision 1.370
date: 2002/06/24 16:37:13;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020624
----------------------------
revision 1.369
date: 2002/06/24 16:34:50;  author: ianmacd;  state: Exp;  lines: +3 -6

- avoid tilde expansion where possible, but do interpret the meaning of
  ~user. This stops 'cd ~us<Tab>' from expanding to 'cd /home/user/'
----------------------------
revision 1.368
date: 2002/06/24 08:22:11;  author: ianmacd;  state: Exp;  lines: +6 -8

- gdb completion defaults to -o filenames, not -o default
- simplify process matching code in gdb completion
----------------------------
revision 1.367
date: 2002/06/24 07:52:54;  author: ianmacd;  state: Exp;  lines: +2 -2

- allow unzip to complete on Java Enterprise Application Archive files (.ear)
----------------------------
revision 1.366
date: 2002/06/21 09:12:59;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020621
----------------------------
revision 1.365
date: 2002/06/21 09:11:32;  author: ianmacd;  state: Exp;  lines: +9 -8

- add edit and unedit to cvs completion
----------------------------
revision 1.364
date: 2002/06/19 17:12:52;  author: ianmacd;  state: Exp;  lines: +2 -2

- don't exclude .o files from make completion
----------------------------
revision 1.363
date: 2002/06/19 16:53:48;  author: ianmacd;  state: Exp;  lines: +5 -5

- {gzip,bzip2} -t should also complete on .gz and .bz2 files, respectively
- man completion still needed one fix for FreeBSD
----------------------------
revision 1.362
date: 2002/06/19 08:18:28;  author: ianmacd;  state: Exp;  lines: +3 -3

- update release to 20020619
----------------------------
revision 1.361
date: 2002/06/17 16:40:59;  author: ianmacd;  state: Exp;  lines: +3 -3

- allow .tbz as an extension during tar completion
----------------------------
revision 1.360
date: 2002/06/17 16:38:37;  author: ianmacd;  state: Exp;  lines: +5 -1

- check for non-Linux and presence of gsed (GNU sed). If it's there, alias
  it to sed.
----------------------------
revision 1.359
date: 2002/06/17 02:08:45;  author: ianmacd;  state: Exp;  lines: +3 -3

- make man completion work for FreeBSD
----------------------------
revision 1.358
date: 2002/06/16 18:35:58;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020616
----------------------------
revision 1.357
date: 2002/06/16 18:35:28;  author: ianmacd;  state: Exp;  lines: +4 -4

- eliminate errors when setting read-only variables
----------------------------
revision 1.356
date: 2002/06/12 21:43:00;  author: ianmacd;  state: Exp;  lines: +2 -2

- fix quoting bug in PINE address completion
----------------------------
revision 1.355
date: 2002/06/11 18:49:57;  author: ianmacd;  state: Exp;  lines: +3 -3

- update release to 20020611
----------------------------
revision 1.354
date: 2002/06/10 15:36:50;  author: ianmacd;  state: Exp;  lines: +4 -4

- BASH_COMPLETION_DIR had a typo and was set to /etc/bash_completion
  instead of /etc/bash_completion.d
- in tar completion, completing on files within a tar file would consume all
  memory in bash 2.05a (the perennial compgen -W bug)
----------------------------
revision 1.353
date: 2002/06/09 17:22:26;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020609
----------------------------
revision 1.352
date: 2002/06/09 08:38:04;  author: ianmacd;  state: Exp;  lines: +2 -2

- unzip and zipinfo now recognise the .wsz extension (used for Winzip skin
  files and xmms)
----------------------------
revision 1.351
date: 2002/06/09 08:35:56;  author: ianmacd;  state: Exp;  lines: +3 -3

- tar completion now recognises the .tbz2 extension
----------------------------
revision 1.350
date: 2002/06/09 08:30:35;  author: ianmacd;  state: Exp;  lines: +2 -2

- galeon, links and curl now also complete on .html files
----------------------------
revision 1.349
date: 2002/06/06 16:48:16;  author: ianmacd;  state: Exp;  lines: +2 -2

- tar cf completed properly, but tar -cf did not
----------------------------
revision 1.348
date: 2002/06/05 09:55:22;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020605
----------------------------
revision 1.347
date: 2002/06/05 09:52:44;  author: ianmacd;  state: Exp;  lines: +3 -2

- _tar(): display directories properly when returning contents of tar files
- add .html file completion for netscape, mozilla, lynx, w3m
----------------------------
revision 1.346
date: 2002/06/04 05:45:09;  author: ianmacd;  state: Exp;  lines: +21 -17

- use of \ls to avoid calling an alias will still call a function of that
  name, if one is defined. Use built-in 'command' instead
----------------------------
revision 1.345
date: 2002/06/04 05:28:41;  author: ianmacd;  state: Exp;  lines: +3 -2

- add newgrp to list of commands that complete on group names
----------------------------
revision 1.344
date: 2002/06/04 05:27:03;  author: ianmacd;  state: Exp;  lines: +2 -2

- _tar(): use parameter substitution instead of calling tr(1)
----------------------------
revision 1.343
date: 2002/06/02 22:19:38;  author: ianmacd;  state: Exp;  lines: +29 -8

- tar completion now completes first on tar files, then on their contents
----------------------------
revision 1.342
date: 2002/06/01 21:16:20;  author: ianmacd;  state: Exp;  lines: +55 -1

- bash complete completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.341
date: 2002/06/01 21:01:05;  author: ianmacd;  state: Exp;  lines: +50 -1

- lilo(8) completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.340
date: 2002/06/01 20:58:06;  author: ianmacd;  state: Exp;  lines: +212 -43

- Java completion overhaul by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.339
date: 2002/06/01 18:46:19;  author: ianmacd;  state: Exp;  lines: +3 -3

- updated release to 20020601
----------------------------
revision 1.338
date: 2002/05/30 20:26:41;  author: ianmacd;  state: Exp;  lines: +4 -4

- _known_hosts(): BSD sed (and others) has no /i modifier, so we need
  [Mm][Aa][Dd][Nn][Ee][Ss][Ss] style matching. Sigh...
----------------------------
revision 1.337
date: 2002/05/30 20:17:29;  author: ianmacd;  state: Exp;  lines: +3 -3

From: Dr.Rafael Sepúlveda <drs@gnulinux.org.mx>
- fix bug present in both _comp-dpkg-installed-packages() and
  _comp-dpkg-hold-packages() that results in all packages being returned.
----------------------------
revision 1.336
date: 2002/05/30 19:08:15;  author: ianmacd;  state: Exp;  lines: +33 -1

- add basic completion for RCS suite (rcs, rlog, ci, co)
----------------------------
revision 1.335
date: 2002/05/28 20:34:38;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020528
----------------------------
revision 1.334
date: 2002/05/28 20:34:11;  author: ianmacd;  state: Exp;  lines: +6 -2

From Goetz Waschk <waschk@informatik.uni-rostock.de>
- java -jar completes on .jar files
----------------------------
revision 1.333
date: 2002/05/28 20:16:05;  author: ianmacd;  state: Exp;  lines: +79 -5

From: Guillaume Rousse <rousse@ccr.jussieu.fr>
- urpmi now completes on rpm files
- urpmf, urpme, urpmq completion added
----------------------------
revision 1.332
date: 2002/05/21 17:10:13;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020521
----------------------------
revision 1.331
date: 2002/05/21 05:35:40;  author: ianmacd;  state: Exp;  lines: +3 -2

- add bzme completion (Mandrake)
- unzip & zipinfo also complete on .war files (as used by Tomcat, etc.)
  (submission from Goetz Waschk <waschk@informatik.uni-rostock.de>)
----------------------------
revision 1.330
date: 2002/05/21 00:36:07;  author: ianmacd;  state: Exp;  lines: +3 -3

- _comp-dpkg-installed-packages(): remove dependence on grep-dctrl
  (patch by Dr.Rafael Sepúlveda <drs@gnulinux.org.mx>)
----------------------------
revision 1.329
date: 2002/05/19 16:56:55;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020519
----------------------------
revision 1.328
date: 2002/05/19 16:56:19;  author: ianmacd;  state: Exp;  lines: +13 -14

- there were still references to _file_glob() in the code
----------------------------
revision 1.327
date: 2002/05/19 09:16:30;  author: ianmacd;  state: Exp;  lines: +6 -9

- remove some dependence on grep-dctrl in Debian-specific completion
  functions
- don't split ksh style globs over more than one line, since this doesn't seem
  to work
both of the above fixes supplied by Dr.Rafael Sepúlveda <drs@gnulinux.org.mx>
----------------------------
revision 1.326
date: 2002/05/18 23:00:14;  author: ianmacd;  state: Exp;  lines: +9 -18

- replace many calls to compgen -f/-d with calls to _filedir()
----------------------------
revision 1.325
date: 2002/05/18 19:05:08;  author: ianmacd;  state: Exp;  lines: +29 -13

- Python now completes first on a .(py|pyc|pyo) file, then on any file
- rpm helper function _file_glob() has been integrated into _filedir(), as
  the principle was the same
----------------------------
revision 1.324
date: 2002/05/18 00:35:26;  author: ianmacd;  state: Exp;  lines: +21 -17

- move code that handles host alias completion from _ssh() to _known_hosts()
  and call it with _known_hosts -c. This means that _scp() can now also call
  it and complete on aliases in the ssh config files
----------------------------
revision 1.323
date: 2002/05/16 18:07:38;  author: ianmacd;  state: Exp;  lines: +1 -2

- remove redundant line from add_entries() (_cvs() helper function)
----------------------------
revision 1.322
date: 2002/05/16 16:15:19;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020516
----------------------------
revision 1.321
date: 2002/05/16 09:10:04;  author: ianmacd;  state: Exp;  lines: +3 -1

- _cvs(): get rid of grep in get_entries(), so that characters such as '.'
  in file names don't get interpreted
----------------------------
revision 1.320
date: 2002/05/16 09:05:04;  author: ianmacd;  state: Exp;  lines: +8 -9

- _cd(): completion was failing when CDPATH pointed to directories containing
  spaces in their names
----------------------------
revision 1.319
date: 2002/05/15 20:56:25;  author: ianmacd;  state: Exp;  lines: +3 -5

- _make(): don't include variable assignments when returning targets
----------------------------
revision 1.318
date: 2002/05/15 19:43:47;  author: ianmacd;  state: Exp;  lines: +2 -3

- _cvs(): fix bug that caused null completion list in 'cvs diff'
----------------------------
revision 1.317
date: 2002/05/14 15:54:38;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020514
----------------------------
revision 1.316
date: 2002/05/14 15:53:58;  author: ianmacd;  state: Exp;  lines: +4 -1

- _cd(): still need to separate COMPREPLY on spaces
----------------------------
revision 1.315
date: 2002/05/13 23:43:29;  author: ianmacd;  state: Exp;  lines: +4 -4

- _ssh() and _known_hosts(): ssh config file directives are case-insensitive
----------------------------
revision 1.314
date: 2002/05/13 23:40:40;  author: ianmacd;  state: Exp;  lines: +4 -13

- _cd(): need to allow \n as separator
- _cd(): removed a chunk of code that probably hasn't worked for a while
----------------------------
revision 1.313
date: 2002/05/11 17:28:58;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020511
----------------------------
revision 1.312
date: 2002/05/11 17:22:12;  author: ianmacd;  state: Exp;  lines: +2 -2

- _ssh(): fix newline from making it into compgen -W and consuming all of
  system memory
----------------------------
revision 1.311
date: 2002/05/11 09:28:58;  author: ianmacd;  state: Exp;  lines: +12 -10

- perform tilde expansion in dpkg completion
----------------------------
revision 1.310
date: 2002/05/10 18:09:35;  author: ianmacd;  state: Exp;  lines: +2 -2

- use sed instead of Perl in urpmi completion (patch from Guillaume Rousse
  <rousse@ccr.jussieu.fr>)
----------------------------
revision 1.309
date: 2002/05/09 18:20:53;  author: ianmacd;  state: Exp;  lines: +16 -15

- add MP3 files to those on which mplayer and xine will complete
- mpg321 completes on MP3 files
- minor code patch-ups to make Linux-specific functions work on HURD systems
  (all of the above from Robert Millan <zeratul2@wanadoo.es>)
----------------------------
revision 1.308
date: 2002/05/08 17:38:56;  author: ianmacd;  state: Exp;  lines: +3 -3

- changes to aptitude completion comments by Dr.Rafael Sepúlveda
  <drs@gnulinux.org.mx>
----------------------------
revision 1.307
date: 2002/05/08 17:26:18;  author: ianmacd;  state: Exp;  lines: +3 -2

- in cvs checkout mode, "cvs co -c" should take into account "-d" (patch by
  Liviu Daia <Liviu.Daia@imar.ro>)
----------------------------
revision 1.306
date: 2002/05/08 17:23:51;  author: ianmacd;  state: Exp;  lines: +11 -2

- postmap(1) and postalias(1) from the latest Postfix snapshot have a
  new option, "-o" (patch by Liviu Daia <Liviu.Daia@imar.ro>)

- postfix(1) completion added (patch by Liviu Daia <Liviu.Daia@imar.ro>)
----------------------------
revision 1.305
date: 2002/05/07 08:16:32;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020507
----------------------------
revision 1.304
date: 2002/05/06 01:31:28;  author: ianmacd;  state: Exp;  lines: +31 -9

- _known_hosts(): check /etc/ssh/ssh_config and ~/ssh/config to get location
  of global and user known hosts files, rather than just assuming we know
  where they are
----------------------------
revision 1.303
date: 2002/05/05 23:28:59;  author: ianmacd;  state: Exp;  lines: +13 -2

- _ssh(): now also returns host aliases from /etc/ssh/config and ~/.ssh/config
  files
----------------------------
revision 1.302
date: 2002/05/05 22:46:30;  author: ianmacd;  state: Exp;  lines: +107 -1

- add completion for Postfix commands (patch by Liviu Daia <Liviu.Daia@imar.ro>
  and Carsten Hoeger <choeger@suse.de>)
----------------------------
revision 1.301
date: 2002/05/05 20:29:35;  author: ianmacd;  state: Exp;  lines: +3 -12

- _cvs(): cvs checkout now checks for registered modules, not just raw
  directories in $CVSROOT
----------------------------
revision 1.300
date: 2002/05/05 20:20:02;  author: ianmacd;  state: Exp;  lines: +21 -9

- _rpm(): additions for rpm 4.1
----------------------------
revision 1.299
date: 2002/05/05 19:24:31;  author: ianmacd;  state: Exp;  lines: +78 -1

- add Debian Linux aptitude(8) completion
----------------------------
revision 1.298
date: 2002/05/05 17:42:42;  author: ianmacd;  state: Exp;  lines: +6 -5

- _comp-dpkg-installed-packages(): return list of installed packages, rather
  installable packages (patch by Dr.Rafael Sepúlveda <drs@gnulinux.org.mx>)
----------------------------
revision 1.297
date: 2002/05/04 20:42:31;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020504
----------------------------
revision 1.296
date: 2002/05/03 01:00:04;  author: ianmacd;  state: Exp;  lines: +2 -1

- python completion on .py, .pyc and .pyo files
----------------------------
revision 1.295
date: 2002/05/03 00:58:48;  author: ianmacd;  state: Exp;  lines: +2 -2

- make xine complete on the same files as mplayer
----------------------------
revision 1.294
date: 2002/05/03 00:43:50;  author: ianmacd;  state: Exp;  lines: +23 -23

- define CVS helper functions outside of _cvs(), since that just parses them
  at run-time anyway
----------------------------
revision 1.293
date: 2002/04/30 22:16:35;  author: ianmacd;  state: Exp;  lines: +14 -8

- add long option completion to psql completion
  (patch by Laurent Martelli <laurent@bearteam.org>)
----------------------------
revision 1.292
date: 2002/04/30 21:55:20;  author: ianmacd;  state: Exp;  lines: +9 -1

- cvs completion now handles diff
  (patch by Laurent Martelli <laurent@bearteam.org>)
----------------------------
revision 1.291
date: 2002/04/30 21:47:42;  author: ianmacd;  state: Exp;  lines: +2 -2

- _filedir_xspec(): avoid eval errors when completing within backticks or
  quotes
----------------------------
revision 1.290
date: 2002/04/30 16:16:22;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020430
----------------------------
revision 1.289
date: 2002/04/29 20:58:39;  author: ianmacd;  state: Exp;  lines: +6 -5

- make installation of RPM functions a compound statement
----------------------------
revision 1.288
date: 2002/04/29 20:36:04;  author: ianmacd;  state: Exp;  lines: +98 -9

- reworking of Postgresql completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.287
date: 2002/04/29 20:21:41;  author: ianmacd;  state: Exp;  lines: +18 -3

- _cvs(): remove a superfluous grep and redirect stderr on ls
- add PINE address-book completion
----------------------------
revision 1.286
date: 2002/04/27 18:45:24;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020427
----------------------------
revision 1.285
date: 2002/04/24 22:26:49;  author: ianmacd;  state: Exp;  lines: +92 -1

- add update-alternatives completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.284
date: 2002/04/24 15:40:37;  author: ianmacd;  state: Exp;  lines: +3 -3

- _urpmi_media(): urpmi completion now deals properly with spaces (patch
  from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.283
date: 2002/04/24 15:28:56;  author: ianmacd;  state: Exp;  lines: +2 -2

- check that the files we try to source in $BASH_COMPLETION_DIR are actually
  plain old files
----------------------------
revision 1.282
date: 2002/04/23 16:01:39;  author: ianmacd;  state: Exp;  lines: +2 -2

- zipinfo now completes on the same files as unzip
----------------------------
revision 1.281
date: 2002/04/23 02:51:54;  author: ianmacd;  state: Exp;  lines: +4 -1

- _export(): make 'export FOO=$<Tab>' complete on variable names
----------------------------
revision 1.280
date: 2002/04/22 17:34:35;  author: ianmacd;  state: Exp;  lines: +2 -2

- latex et al now also complete on .dtx and .ins files
----------------------------
revision 1.279
date: 2002/04/22 08:39:07;  author: ianmacd;  state: Exp;  lines: +27 -1

- add Debian dselect(8) completion
----------------------------
revision 1.278
date: 2002/04/22 08:25:31;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020422
----------------------------
revision 1.277
date: 2002/04/22 08:17:57;  author: ianmacd;  state: Exp;  lines: +2 -2

- tex, latex et al now also complete on .latex files
----------------------------
revision 1.276
date: 2002/04/22 07:59:08;  author: ianmacd;  state: Exp;  lines: +23 -23

- use $UNAME instead of $OS, since the latter purportedly has bad interactions
  in environments such as Cygwin
----------------------------
revision 1.275
date: 2002/04/22 07:48:12;  author: ianmacd;  state: Exp;  lines: +1 -46

- move ri completion into contrib dir, because it's relatively uncommon
----------------------------
revision 1.274
date: 2002/04/20 23:55:18;  author: ianmacd;  state: Exp;  lines: +3 -3

- _man(): avoid calling alias, if an alias called man exists
- bind rpmbuild to _rpm() function
----------------------------
revision 1.273
date: 2002/04/20 23:51:33;  author: ianmacd;  state: Exp;  lines: +2 -4

- _filedir(): fix error when completing on a quoted parameter
- _cd(): remove useless call of _expand()
----------------------------
revision 1.272
date: 2002/04/18 16:05:31;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020418
----------------------------
revision 1.271
date: 2002/04/18 15:55:50;  author: ianmacd;  state: Exp;  lines: +6 -5

- add 'annotate' to list of cvs commands that perform completion
----------------------------
revision 1.270
date: 2002/04/18 15:29:56;  author: ianmacd;  state: Exp;  lines: +46 -1

- added ri (Ruby documentation) completion
----------------------------
revision 1.269
date: 2002/04/17 08:44:12;  author: ianmacd;  state: Exp;  lines: +21 -14

- _rpm(): rpm -qf worked, but rpm -q -f didn't. Simiarly, rpm -V -f didn't
  work; nor did rpm -Vg or rpm -V -g
----------------------------
revision 1.268
date: 2002/04/15 00:41:04;  author: ianmacd;  state: Exp;  lines: +6 -5

- avoid errors when comp{gen,lete} -g don't work on an unpatched bash 2.05
----------------------------
revision 1.267
date: 2002/04/13 19:24:28;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020412
----------------------------
revision 1.266
date: 2002/04/13 19:21:42;  author: ianmacd;  state: Exp;  lines: +2 -2

- _command(): back out change from 1.265, as we can't reliably avoid expansion
  of wildcards prior to handing off for subcompletion. Also, back out change
  from 1.242 (release 20020402) that set the command line token pointer to be
  n-1 after expansion of any wildcards. We can't reliably know what the
  position of the current token is after expansion, since someone may do
  something like 'sudo ls fo*<Tab> bar', where 'fo*' expands to multiple
  tokens.
----------------------------
revision 1.265
date: 2002/04/12 00:24:08;  author: ianmacd;  state: Exp;  lines: +4 -5

- _command(): stop wildcards from expanding prior to handing off command line
  for subcompletion
----------------------------
revision 1.264
date: 2002/04/08 16:30:59;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020408
----------------------------
revision 1.263
date: 2002/04/07 19:17:13;  author: ianmacd;  state: Exp;  lines: +43 -29

- _apt-get improvements from Laurent Martelli <laurent@bearteam.org>
- make _rpm()'s helper functions global. Having them within the _rpm() function
  body doesn't make them global anyway; it just makes them get sourced at
  run-time when _rpm() gets called, so this should be slightly faster
----------------------------
revision 1.262
date: 2002/04/06 22:21:13;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020406
----------------------------
revision 1.261
date: 2002/04/06 22:18:59;  author: ianmacd;  state: Exp;  lines: +13 -12

- various fixes to urpmi function names to make them officially valid
----------------------------
revision 1.260
date: 2002/04/05 19:45:05;  author: ianmacd;  state: Exp;  lines: +5 -5

- _rpm(): rpm would try group query completion instead of either uninstalled or
  installed query completion when passed a long option that ended with 'g'.
  Similarly, it would attempt uninstalled package completion instead of
  installed package completion when passed a long option that ended with 'p'.

  verify completion suffered from a similar bug
----------------------------
revision 1.259
date: 2002/04/04 16:49:40;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020404
----------------------------
revision 1.258
date: 2002/04/04 16:27:06;  author: ianmacd;  state: Exp;  lines: +2 -2

- add compressed files (.Z) to the list that gv and ggv will complete on
----------------------------
revision 1.257
date: 2002/04/04 00:42:14;  author: ianmacd;  state: Exp;  lines: +2 -2

- add .m3u to list of extensions that xmms et al can complete on
----------------------------
revision 1.256
date: 2002/04/03 23:17:10;  author: ianmacd;  state: Exp;  lines: +13 -12

- clean up numerous areas where grep would complain if passed a $cur with
  a space in it
----------------------------
revision 1.255
date: 2002/04/03 23:10:35;  author: ianmacd;  state: Exp;  lines: +15 -16

- _rpm(): make package group completion a subcase of -q completion
  It was very buggy before, completing only when 'rpm -g' was given (which is
  invalid), instead of 'rpm -qg'
----------------------------
revision 1.254
date: 2002/04/03 21:10:49;  author: ianmacd;  state: Exp;  lines: +39 -3

- _route(): add 'default' and 'gw' as possible completions
- add lftp(1) and autorpm(1) completion from Kirk Bauer <kirk@kaybee.org>
----------------------------
revision 1.253
date: 2002/04/03 19:19:30;  author: ianmacd;  state: Exp;  lines: +47 -42

- attempt to make everything bash 2.04 compatible by putting making the -o
  switch to comp{lete,gen} a shell variable
- allow group completion in bash versions > 2.04 (was > 2.05, but that would
  break group completion for anyone who has installed a suitably patched 2.05)
----------------------------
revision 1.252
date: 2002/04/03 18:56:55;  author: ianmacd;  state: Exp;  lines: +3 -3

- add which(1) to list of commands that complete on commands
----------------------------
revision 1.251
date: 2002/04/03 18:56:01;  author: ianmacd;  state: Exp;  lines: +3 -3

- _umount(): make returned completions behave properly (remove -o filenames)
  and default to directories if all else fails (add -o dirnames)
----------------------------
revision 1.250
date: 2002/04/03 07:11:06;  author: ianmacd;  state: Exp;  lines: +4 -8

- _cd(): back out some code that attempted to add a trailing slash to
  completions relative to paths in $CDPATH, since this caused problems
  elsewhere
----------------------------
revision 1.249
date: 2002/04/03 01:37:51;  author: ianmacd;  state: Exp;  lines: +20 -12

- set $nospace if bash 2.05b
- only use comp{gen,lete} -g if bash > 2.05
- _cd(): don't append a space to paths relative to $CDPATH when using bash
  2.05b
----------------------------
revision 1.248
date: 2002/04/02 19:22:40;  author: ianmacd;  state: Exp;  lines: +11 -9

- _cvs(): set $COMP_CVS_REMOTE to get remote repository completion on
  'cvs commit'
- _configure(): set $COMP_CONFIGURE_HINTS to get 'SETTING' included on
  --option=SETTING style completions
----------------------------
revision 1.247
date: 2002/04/02 16:56:59;  author: ianmacd;  state: Exp;  lines: +8 -4

- _configure(): when a completion is of the form --option=SETTING, make the
  inclusion of SETTING in the completion be optional (set $hints)
----------------------------
revision 1.246
date: 2002/04/02 10:04:57;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020402
----------------------------
revision 1.245
date: 2002/04/02 08:22:27;  author: ianmacd;  state: Exp;  lines: +3 -3

- _kill(): call _pids rather than duplicate code
- _longopt(): when parsing --help output, pipe stderr through stdout
----------------------------
revision 1.244
date: 2002/04/02 08:17:35;  author: ianmacd;  state: Exp;  lines: +46 -2

- add netstat to list of commands that complete on long options
- add renice completion, submitted by Michael G <michaelg@amerion.net>,
  and rewritten helper functions _pids() and _pgids()
----------------------------
revision 1.243
date: 2002/04/02 07:27:50;  author: ianmacd;  state: Exp;  lines: +28 -8

- _dpkg-reconfigure() fix and enhancements from
   Dr.Rafael Sepúlveda <drs@gnulinux.org.mx>
----------------------------
revision 1.242
date: 2002/04/01 18:50:05;  author: ianmacd;  state: Exp;  lines: +4 -3

- _command(): when passing off command lines for subcompletion by other
  functions, we were passing incorrect information about the current line
  position when the command line contained wildcards that expanded arguments
  to multiple arguments
----------------------------
revision 1.241
date: 2002/04/01 16:45:45;  author: ianmacd;  state: Exp;  lines: +18 -10

- _cvs(): make 'cvs commit' default to local file completion, since remote
  completion is very annoying for those who have to supply a password.
  Set 'remote=yes' within _cvs() to get the old behaviour.
----------------------------
revision 1.240
date: 2002/04/01 01:12:50;  author: ianmacd;  state: Exp;  lines: +2 -2

- _scp(): silence errors from remote path completion
----------------------------
revision 1.239
date: 2002/03/31 08:06:52;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020331
----------------------------
revision 1.238
date: 2002/03/31 08:04:48;  author: ianmacd;  state: Exp;  lines: +2 -2

- fix minor quoting problem in _cd()
----------------------------
revision 1.237
date: 2002/03/30 19:33:56;  author: ianmacd;  state: Exp;  lines: +2 -2

- release updated to 20020330
----------------------------
revision 1.236
date: 2002/03/30 19:20:51;  author: ianmacd;  state: Exp;  lines: +10 -1

- _command(): commands like 'sudo chown' return completions of the form
  'user:'. This gets escaped by _chown() and passed back as 'user\:'.
  _command() then escapes this further to 'user\\\:', so we need to unescape it
  to have things work correctly.

  Unfortunately, 'sudo rm' might pass back the name of a file that has a
  backslash followed by a colon in the name, e.g. 'foo\:bar'. This is
  escaped by _command() to 'foo\\\:bar', which we should not unescape.

  How to tell the difference between a completion that contains a backslash
  that is escaping the following character, and one that has literal
  backslashes?

  We extract the '-o <type>' information from the compspec and, if we are
  dealing with a spec that does not specify that it passes back filenames or
  dirnames, we unescape any backslash/colon pairings. Of course, this means
  that 'sudo chown' will still do the wrong thing when dealing with a
  directory or filename that contains '\:'. Oh well...
----------------------------
revision 1.235
date: 2002/03/29 16:33:08;  author: ianmacd;  state: Exp;  lines: +18 -17

- fixes to _ant(), _java() and _urpmi() from
  Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.234
date: 2002/03/29 08:30:47;  author: ianmacd;  state: Exp;  lines: +90 -103

- _rpm(): replace add_package_list() with installed_packages()
- _rpm(): remove uninstalled_packages()
- _rpm(): only offer rpm options as possible completions if parameter begins
  with a dash
----------------------------
revision 1.233
date: 2002/03/29 03:43:09;  author: ianmacd;  state: Exp;  lines: +12 -14

- _cd(): checking for CDPATH at the start of the function simplifies things
  somewhat
----------------------------
revision 1.232
date: 2002/03/29 03:35:42;  author: ianmacd;  state: Exp;  lines: +6 -2

- _insmod(): Mandrake Linux has gzipped modules
- add comments to make Emacs go into shell-script-mode upon editing
----------------------------
revision 1.231
date: 2002/03/28 23:41:44;  author: ianmacd;  state: Exp;  lines: +12 -8

- _cd(): don't foist the new relative to absolute path conversion on people
  who don't use $CDPATH
----------------------------
revision 1.230
date: 2002/03/28 19:36:19;  author: ianmacd;  state: Exp;  lines: +4 -4

- urpmi completion fixes from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.229
date: 2002/03/28 17:22:24;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020328
----------------------------
revision 1.228
date: 2002/03/28 08:41:09;  author: ianmacd;  state: Exp;  lines: +2 -4

- _longopt(): remove call to _expand(), since this gets called indirectly
  anyway when _filedir() is called. This fixes a double escaping of trailing
  backslashes when doing something like 'mv foo\<Tab>', which would cause an
  eval error in _filedir()
----------------------------
revision 1.227
date: 2002/03/27 19:33:34;  author: ianmacd;  state: Exp;  lines: +21 -4

- dpkg completion enhancements from Laurent Martelli <laurent@bearteam.org>
  - options which complete on package names or .deb files now can
    complete several of them.
  - --listfiles complete on installed package names
  - --list complete on package names
  - added --force options
----------------------------
revision 1.226
date: 2002/03/27 07:32:19;  author: ianmacd;  state: Exp;  lines: +8 -4

- _cd(): when CDPATH=.:$HOME and $PWD = $HOME, every subdir of $HOME will be
  returned both as $HOME/foo and foo. bash regards these as separate
  directories, even though when displayed, bash will strip them to the
  basename. Add code to turn any directory that is a subdir of $PWD into an
  absolute path, so that it duplicates $HOME/dir and gets deduped.
----------------------------
revision 1.225
date: 2002/03/26 20:28:58;  author: ianmacd;  state: Exp;  lines: +2 -2

- make fakeroot complete just like sudo
----------------------------
revision 1.224
date: 2002/03/26 20:28:01;  author: ianmacd;  state: Exp;  lines: +2 -2

- simplify gv and ggv completion
----------------------------
revision 1.223
date: 2002/03/26 19:45:45;  author: ianmacd;  state: Exp;  lines: +6 -5

- _querybts(): compgen was missing a continuation line that probably
  resulted in lots of memory being eaten
- _querybts() and _reportbug(): --ui and --interface were missing '|'
  separator
----------------------------
revision 1.222
date: 2002/03/26 19:41:47;  author: ianmacd;  state: Exp;  lines: +3 -3

- _java(): escape arguments to grep and find
----------------------------
revision 1.221
date: 2002/03/26 16:55:10;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020326
----------------------------
revision 1.220
date: 2002/03/26 16:36:00;  author: ianmacd;  state: Exp;  lines: +3 -3

- _ncftp(): slight modification to sed command to make it more compatible
  across versions of sed
----------------------------
revision 1.219
date: 2002/03/26 16:27:02;  author: ianmacd;  state: Exp;  lines: +3 -3

- _tar(): some distros (notably Slackware and Sorceror), use -y as the
  bzip compression switch, so we add this, along with -I, as that is sometimes
  used, too
----------------------------
revision 1.218
date: 2002/03/26 16:17:12;  author: ianmacd;  state: Exp;  lines: +7 -10

- _chown(): make ':' the user:group separator, since only GNU chown supports
  '.'. This requires some escaping work, but makes chown completion work on
  any *NIX based system.
----------------------------
revision 1.217
date: 2002/03/24 20:26:34;  author: ianmacd;  state: Exp;  lines: +3 -3

- _ncftp(): replace cut with sed, since the existing cut command uses
  --output-delimiter, which FreeBSD's cut doesn't have. We now also output
  only the name of the bookmark, not the expansion to which it points.
----------------------------
revision 1.216
date: 2002/03/24 20:05:07;  author: ianmacd;  state: Exp;  lines: +2 -2

- _screen(): when dealing with -s, /etc/shells can have comment lines in it
----------------------------
revision 1.215
date: 2002/03/24 19:57:37;  author: ianmacd;  state: Exp;  lines: +4 -4

- _mount(): showmount is in /bin on FreeBSD
- _mount(): --show-headers is a GNU option not supported on FreeBSD's
  showmount, so pipe through 'sed 1d' instead
- _killall(): 'c' switch to ps is superfluous
----------------------------
revision 1.214
date: 2002/03/24 19:44:55;  author: ianmacd;  state: Exp;  lines: +31 -2

- add handling of -r|--remove|--purge to dpkg completion
- add completion for dpkg-reconfigure
- add time to list of commands that use _command() for completion
----------------------------
revision 1.213
date: 2002/03/24 08:11:30;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020324
----------------------------
revision 1.212
date: 2002/03/24 01:34:33;  author: ianmacd;  state: Exp;  lines: +6 -5

- killall completion now also works on FreeBSD
----------------------------
revision 1.211
date: 2002/03/23 22:59:49;  author: ianmacd;  state: Exp;  lines: +5 -17

- alter _kill() to use /proc, so that it also works on FreeBSD and maybe other
  systems, too
- alter _killall() to use simpler and more reliable way of getting at the
  process name
----------------------------
revision 1.210
date: 2002/03/22 16:54:52;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020322
----------------------------
revision 1.209
date: 2002/03/22 16:50:29;  author: ianmacd;  state: Exp;  lines: +1 -62

- move p4 completion into contrib, since not many people have this
----------------------------
revision 1.208
date: 2002/03/22 16:45:42;  author: ianmacd;  state: Exp;  lines: +8 -10

- _rpm(): RPM kan also verify uninstalled packages these days, so detect
  and act on -p
- _rpm(): add --querytags, --specfile, --whatrequires and --whatprovides
  to options that 'rpm -V' can take
----------------------------
revision 1.207
date: 2002/03/22 04:29:30;  author: ianmacd;  state: Exp;  lines: +3 -1

- one-liners for vi, vim, emacs and wine
----------------------------
revision 1.206
date: 2002/03/22 04:18:54;  author: ianmacd;  state: Exp;  lines: +4 -3

- only ee & display can handle .ico files
- realplay can also handle .smi and .smil files
----------------------------
revision 1.205
date: 2002/03/19 16:19:58;  author: ianmacd;  state: Exp;  lines: +3 -2

- timidity and playmidi complete on .mid and .midi files
----------------------------
revision 1.204
date: 2002/03/18 18:12:00;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020318
----------------------------
revision 1.203
date: 2002/03/18 18:10:57;  author: ianmacd;  state: Exp;  lines: +2 -2

- gv ggv now also complete on compressed PDF files
----------------------------
revision 1.202
date: 2002/03/16 20:49:44;  author: ianmacd;  state: Exp;  lines: +21 -12

- add completion for -S|--search in dpkg completion
----------------------------
revision 1.201
date: 2002/03/15 20:02:48;  author: ianmacd;  state: Exp;  lines: +2 -2

- add chage, write, talk and chfn to list of commands that complete on user
----------------------------
revision 1.200
date: 2002/03/15 20:02:06;  author: ianmacd;  state: Exp;  lines: +3 -2

- _insmod(): the output of modinfo has changed in recent versions of modutils,
  so alter the awk script to also deal with the case of the new output
----------------------------
revision 1.199
date: 2002/03/15 17:39:18;  author: ianmacd;  state: Exp;  lines: +5 -4

- add .ico completion to ee, display, etc.
----------------------------
revision 1.198
date: 2002/03/15 07:20:04;  author: ianmacd;  state: Exp;  lines: +17 -4

- _scp(): try to perform remote path completion when parameter contains a
  colon. This is subject to usual bash trailing whitespace issue.
----------------------------
revision 1.197
date: 2002/03/14 18:27:13;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20020314
----------------------------
revision 1.196
date: 2002/03/13 07:29:52;  author: ianmacd;  state: Exp;  lines: +2 -2

- _man(): eval requires double backslash escaping of ls
----------------------------
revision 1.195
date: 2002/03/11 19:36:44;  author: ianmacd;  state: Exp;  lines: +4 -3

- check that $BASH_COMPLETION_DIR is actually a directory
- update release to 20020311
----------------------------
revision 1.194
date: 2002/03/11 18:38:17;  author: ianmacd;  state: Exp;  lines: +10 -6

- use $BASH_COMPLETION_DIR to determine where loose completon scripts are
----------------------------
revision 1.193
date: 2002/03/11 02:15:09;  author: ianmacd;  state: Exp;  lines: +103 -1

- add Debian Linux reportbug(1) and querybts(1) completion (submitted by
  Chris Lawrence <lawrencc@debian.org>)
----------------------------
revision 1.192
date: 2002/03/11 02:10:17;  author: ianmacd;  state: Exp;  lines: +10 -4

- _dpkg(): add dpkg-deb options and give dpkg-deb the same expansions as dpkg
  (patch submitted by Chris Lawrence <lawrencc@debian.org>
----------------------------
revision 1.191
date: 2002/03/08 19:50:24;  author: ianmacd;  state: Exp;  lines: +8 -3

- source files in /etc/bash_completion.d prior to sourcing ~/.bash_completion
----------------------------
revision 1.190
date: 2002/03/08 19:46:15;  author: ianmacd;  state: Exp;  lines: +5 -1

- _cd(): trim leading './' from relative completions, since bash will see
  './foo' and 'foo' as two distinct completions and return both, even though
  the './' will be cropped when displaying them
----------------------------
revision 1.189
date: 2002/03/08 18:26:41;  author: ianmacd;  state: Exp;  lines: +2 -2

- _java(): fixed reference to wrong local variable
----------------------------
revision 1.188
date: 2002/03/08 18:21:30;  author: ianmacd;  state: Exp;  lines: +8 -7

- _dpkg(): -i|--install|--unpack|-A|--record-avail was not completing on
  directories
- _dpkg(): -s|--status|-p|--print-avail|-L|--listfiles ignored current
  parameter and thus returned full list of installed packages
----------------------------
revision 1.187
date: 2002/03/07 19:04:05;  author: ianmacd;  state: Exp;  lines: +14 -15

- some white space clean-up, removal of e-mail addresses and removal of
  comment pertaining to an ssh completion bug that was fixed a while ago
----------------------------
revision 1.186
date: 2002/03/07 19:00:48;  author: ianmacd;  state: Exp;  lines: +123 -1

- add _urpmi.media(), _urpmi(), _urpmi.update(), _urpmi.addmedia() and
  _urpmi.removemedia() for Mandrake urpmi completion. These were submitted by
  Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.185
date: 2002/03/07 18:47:12;  author: ianmacd;  state: Exp;  lines: +5 -2

- add initial option support to _tar()
----------------------------
revision 1.184
date: 2002/03/07 18:44:48;  author: ianmacd;  state: Exp;  lines: +55 -1

- add java completion submitted by Guillaume Rousse <rousse@ccr.jussieu.fr>,
  with just a couple of modifications
----------------------------
revision 1.183
date: 2002/03/07 18:35:32;  author: ianmacd;  state: Exp;  lines: +31 -1

- add jar(1) completion from Guillaume Rousse <rousse@ccr.jussieu.fr>
----------------------------
revision 1.182
date: 2002/03/07 18:32:03;  author: ianmacd;  state: Exp;  lines: +38 -12

- ant completion replaced by function provided by
  Guillaume Rousse <rousse@ccr.jussieu.fr>, with a few changes to trap
  compgen errors and other minor issues
----------------------------
revision 1.181
date: 2002/03/07 17:16:43;  author: ianmacd;  state: Exp;  lines: +33 -21

- _rpm(): handle query of uninstalled packages when options are not
   concatenated, i.e. rpm -qp worked, but rpm -q -p did not. Further
   complicated by fact that other options could be interspersed,
   e.g. rpm -q -l -p -i, and that partial concatenation could be given,
   e.g. rpm -q -ipl
----------------------------
revision 1.180
date: 2002/03/06 20:24:06;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020306
----------------------------
revision 1.179
date: 2002/03/06 18:38:37;  author: ianmacd;  state: Exp;  lines: +2 -2

- _man(): Debian does not support man --path, so try setting path using
  manpath and, if that fails, use man --path instead
----------------------------
revision 1.178
date: 2002/03/06 00:23:30;  author: ianmacd;  state: Exp;  lines: +5 -4

- _export() and _configure() default to default bash completion if all else
  fails
- before sourcing ~/.bash_completion, check that the current file being
  sourced is not this very file. Otherwise, we cause an infinite loop.
----------------------------
revision 1.177
date: 2002/03/04 16:33:30;  author: ianmacd;  state: Exp;  lines: +2 -2

- release updated to 20020304
----------------------------
revision 1.176
date: 2002/03/04 04:46:42;  author: ianmacd;  state: Exp;  lines: +6 -2

- _rpm(): perform path completion for --whatprovides if parameter contains a /
----------------------------
revision 1.175
date: 2002/03/02 01:56:21;  author: ianmacd;  state: Exp;  lines: +14 -10

- make _man() work on Darwin systems (MacOS X)
----------------------------
revision 1.174
date: 2002/03/02 01:13:23;  author: ianmacd;  state: Exp;  lines: +127 -118

- moved some functions around, so that all helper functions, completion
  functions for built-ins, and completion functions for externals are grouped
  together
----------------------------
revision 1.173
date: 2002/03/01 23:41:42;  author: ianmacd;  state: Exp;  lines: +13 -6

- _longopt(): make vague attempt at path completion after the '=' in
  --long-opt= options
- _filedir(): don't bother to set $cur, since every function that calls
  it will have already set it
----------------------------
revision 1.172
date: 2002/03/01 19:29:34;  author: ianmacd;  state: Exp;  lines: +14 -11

- _cvs(): cvs import now traverses entire CVSROOT. Also cleaned up code a
  little more
----------------------------
revision 1.171
date: 2002/03/01 08:55:36;  author: ianmacd;  state: Exp;  lines: +5 -5

- _cvs(): assign to $changed() and $newremoved() as arrays, not scalars
----------------------------
revision 1.170
date: 2002/03/01 07:58:23;  author: ianmacd;  state: Exp;  lines: +39 -29

- a few more changes to _cvs() from Kyle Wheeler <memoryhole@mac.com>
  (e.g. cvs checkout now descends through the CVSROOT) and some code clean-up
  to _cvs() by me
----------------------------
revision 1.169
date: 2002/03/01 02:02:39;  author: ianmacd;  state: Exp;  lines: +13 -5

- expand _function() with typeset/declare completion
----------------------------
revision 1.168
date: 2002/03/01 01:42:13;  author: ianmacd;  state: Exp;  lines: +18 -16

- large clean-up of sed and awk usage throughout code, where interpolating a
  shell variable that contained a / would cause the sed or awk command to fail,
  since it expected the / as its own delimiter. Use | instead.
----------------------------
revision 1.167
date: 2002/02/28 23:37:10;  author: ianmacd;  state: Exp;  lines: +3 -2

- _cd() was not correctly completing on subdirs of $CDPATH (why is this
  function so damn hard to get right? :-) )
- _configure() suffered a sed error when completing on options of the type
  --option=PATH
----------------------------
revision 1.166
date: 2002/02/28 23:23:14;  author: ianmacd;  state: Exp;  lines: +168 -10

- Kyle Wheeler <memoryhole@mac.com> submitted a large _cvs() patch with many
  improvements. I rewrote this and fixed a few bugs found on the way.
----------------------------
revision 1.165
date: 2002/02/28 06:39:10;  author: ianmacd;  state: Exp;  lines: +5 -2

- minor typo corrected in _longopt()
- stop eval error in _expand() when parameter ends with a \
----------------------------
revision 1.164
date: 2002/02/27 22:36:10;  author: ianmacd;  state: Exp;  lines: +4 -4

- _man(): quote $manpath to avoid premature expansion and remove local
  variable $i
----------------------------
revision 1.163
date: 2002/02/27 16:59:49;  author: ianmacd;  state: Exp;  lines: +2 -2

- updated release to 20020227
----------------------------
revision 1.162
date: 2002/02/27 16:48:20;  author: ianmacd;  state: Exp;  lines: +18 -18

- more code clean-up. Replace many instances of compgen -[df] by calls to
  _filedir and removed a few more potential compgen error areas.
----------------------------
revision 1.161
date: 2002/02/27 16:28:26;  author: ianmacd;  state: Exp;  lines: +3 -3

- _command(): call _filedir() when subcompletion commands return no matches
----------------------------
revision 1.160
date: 2002/02/27 11:01:21;  author: ianmacd;  state: Exp;  lines: +2 -2

- _root_command() wasn't passing name of command that had called it to
  _command()
----------------------------
revision 1.159
date: 2002/02/27 10:34:17;  author: ianmacd;  state: Exp;  lines: +2 -2

- make psql completion perform default bash completion if all else fails
----------------------------
revision 1.158
date: 2002/02/27 09:55:30;  author: ianmacd;  state: Exp;  lines: +4 -8

- simplify _root_command() and actually install it for use by sudo
----------------------------
revision 1.157
date: 2002/02/27 07:47:09;  author: ianmacd;  state: Exp;  lines: +43 -2

- add dpkg completion, based largely on code submitted by Laurent Martelli
  <laurent@bearteam.org>
----------------------------
revision 1.156
date: 2002/02/27 02:18:08;  author: ianmacd;  state: Exp;  lines: +14 -14

- _make(): add long option completion
- cleaned up _configure(), _longopt() and _gcc()
----------------------------
revision 1.155
date: 2002/02/27 02:02:43;  author: ianmacd;  state: Exp;  lines: +45 -39

multiple potential causes of compgen errors removed
----------------------------
revision 1.154
date: 2002/02/27 01:41:56;  author: ianmacd;  state: Exp;  lines: +21 -27

- minor bug fixes to _make()
- multiple potential compgen error clean-ups
----------------------------
revision 1.153
date: 2002/02/27 01:24:04;  author: ianmacd;  state: Exp;  lines: +10 -25

- _rpm(): removed some superfluous returns
- _apt-cache(): renamed _apt_cache and caught some potential compgen errors
- _apt-get(): renamed _apt_get and caught some potential compgen errors
----------------------------
revision 1.152
date: 2002/02/27 01:14:52;  author: ianmacd;  state: Exp;  lines: +61 -84

- _rpm(): major clean-up, including removal of dashify()
- _rpm(): fix bug that caused --prefix, --relocate and --root to not complete
  on directories
----------------------------
revision 1.151
date: 2002/02/27 00:35:39;  author: ianmacd;  state: Exp;  lines: +3 -7

- clean up superluous returns in _ipsec()
----------------------------
revision 1.150
date: 2002/02/27 00:29:54;  author: ianmacd;  state: Exp;  lines: +21 -28

- _find(): code clean-up and removal of potential compgen errors
----------------------------
revision 1.149
date: 2002/02/27 00:13:04;  author: ianmacd;  state: Exp;  lines: +6 -6

prevent compgen errors in _chown(), _chgrp and _man()
fix [ ] test in _chown() and _chgrp() that should have been [[ ]] test
----------------------------
revision 1.148
date: 2002/02/26 23:59:47;  author: ianmacd;  state: Exp;  lines: +22 -26

code clean-up
prevent compgen error in _man()
----------------------------
revision 1.147
date: 2002/02/26 23:21:39;  author: ianmacd;  state: Exp;  lines: +11 -1

sudo now calls _root_command(), which is a wrapper around _command(), but also
  sets the PATH to include {,/usr{,/local}}/sbin
----------------------------
revision 1.146
date: 2002/02/26 21:48:32;  author: ianmacd;  state: Exp;  lines: +20 -2

add cardctl completion
----------------------------
revision 1.145
date: 2002/02/25 06:50:23;  author: ianmacd;  state: Exp;  lines: +2 -2

updated release to 20020225
----------------------------
revision 1.144
date: 2002/02/24 20:52:22;  author: ianmacd;  state: Exp;  lines: +5 -1

_rpm(): fixed minor bug in --re{build,compile}/--clean/--rms{ource,pec} that
  caused compgen error when passed parameter with hyphens
----------------------------
revision 1.143
date: 2002/02/24 06:43:48;  author: ianmacd;  state: Exp;  lines: +4 -2

_psql(): try to get list of valid users from Postgres before resorting to
  system user list
----------------------------
revision 1.142
date: 2002/02/22 16:48:21;  author: ianmacd;  state: Exp;  lines: +8 -3

modified _filedir() and _longopt() to allow mkdir and rmdir to complete only
  on directories
----------------------------
revision 1.141
date: 2002/02/22 08:41:05;  author: ianmacd;  state: Exp;  lines: +4 -5

_cd(): sigh, completion on dirs and subdirs of entries in $CDPATH was broken
  yet again, this time due to the space having been removed from local $IFS.
  This is fixed now, but there's still a bug remaining, namely that completion
  does not work correctly if dirs or subdirs of entries in $CDPATH contain
  embedded spaces
_longopt(): install completion for {mk,rm}dir as -o filenames, not dirnames
----------------------------
revision 1.140
date: 2002/02/21 20:26:36;  author: ianmacd;  state: Exp;  lines: +3 -1

_tar(): prevent error if user tries to complete on first parameter using a
  string like -x (compgen sees the -x as an option to itself)
----------------------------
revision 1.139
date: 2002/02/20 19:09:45;  author: ianmacd;  state: Exp;  lines: +2 -2

_known_hosts(): fix bug where defaulting to standard hostname completion
  would yield a compgen error
----------------------------
revision 1.138
date: 2002/02/20 06:41:50;  author: ianmacd;  state: Exp;  lines: +2 -2

update release to 20020220
----------------------------
revision 1.137
date: 2002/02/20 06:26:08;  author: ianmacd;  state: Exp;  lines: +3 -3

_longopt(): add irb to list of commands
_longopt(): refine sed command that filters long options
----------------------------
revision 1.136
date: 2002/02/20 03:56:08;  author: ianmacd;  state: Exp;  lines: +2 -2

_man(): manpath doesn't exist on Sorceror Linux, so use man --path instead
----------------------------
revision 1.135
date: 2002/02/20 01:12:52;  author: ianmacd;  state: Exp;  lines: +2 -2

_function(): declare won't allow a function that starts with a '-', so use
  type instead
----------------------------
revision 1.134
date: 2002/02/19 22:49:13;  author: ianmacd;  state: Exp;  lines: +4 -7

_rpm(): some clean up
----------------------------
revision 1.133
date: 2002/02/19 18:37:15;  author: ianmacd;  state: Exp;  lines: +45 -27

take signal completion from _killall() and put it in _signals()
_killall() now calls _signals()
new _kill() function for kill completion
_killall() now only completes on signals if parameter starts with a '-'.
  It would previously return process names AND signals for a blank parameter.
----------------------------
revision 1.132
date: 2002/02/18 23:40:23;  author: ianmacd;  state: Exp;  lines: +8 -4

_man(): remove compgen -G glob in favour of compgen -f -X
----------------------------
revision 1.131
date: 2002/02/18 19:21:14;  author: ianmacd;  state: Exp;  lines: +23 -11

_tar(): eradicate use of compgen -G in favour of compgen -f -X
----------------------------
revision 1.130
date: 2002/02/18 19:07:37;  author: ianmacd;  state: Exp;  lines: +9 -8

_rpm(): more removal of compgen -G in favour of compgen -f -X
----------------------------
revision 1.129
date: 2002/02/18 18:55:25;  author: ianmacd;  state: Exp;  lines: +3 -13

vastly simplify _rpm()'s local file_glob() function by removing compgen -G
  glob in favour of a compgen -f -X construction
----------------------------
revision 1.128
date: 2002/02/18 18:36:00;  author: ianmacd;  state: Exp;  lines: +5 -3

check that $modpath directory can be entered in _insmod()
----------------------------
revision 1.127
date: 2002/02/18 18:26:54;  author: ianmacd;  state: Exp;  lines: +12 -11

only install route completion if running Linux
check for existence of make before installing its completion
----------------------------
revision 1.126
date: 2002/02/18 11:09:59;  author: ianmacd;  state: Exp;  lines: +36 -41

check for Linux before installing killall completion
check for existence of cvs before installing its completion
clean up _longopt()
clean up _gcc()
clean up _configure()
----------------------------
revision 1.125
date: 2002/02/18 09:39:02;  author: ianmacd;  state: Exp;  lines: +9 -11

_configure_func() now calls _longopt(), rather than duplicating code
----------------------------
revision 1.124
date: 2002/02/18 09:32:56;  author: ianmacd;  state: Exp;  lines: +5 -31

remove _redir_op() and _redir_test()
----------------------------
revision 1.123
date: 2002/02/18 09:27:09;  author: ianmacd;  state: Exp;  lines: +2 -2

$prev wasn't local to _psql()
----------------------------
revision 1.122
date: 2002/02/18 09:26:34;  author: ianmacd;  state: Exp;  lines: +29 -12

mkdir and rmdir now bound to _longopt(), default to dirnames
a2ps, autoconf, automake, bc, gprof, ld, nm, objcopy, objdump, readelf, strip,
  bison, cpio, diff, patch, enscript, cp, df, dir, du, ln, ls, mkfifo, mknod,
  mv, rm, touch, vdir, xargs, awk, gperf, grep, gpg, grub, indent, less, m4,
  sed, shar, date, env, seq, su, tee, uname, who, texindex, cat, csplit, cut,
  expand, fmt, fold, head, md5sum, nl, od, paste, pr, ptx, sha1sum, sort,
  split, tac, tail, tr, unexpand, uniq, wc, units and rsync now all have
  GNU long option completion from _longopt()
gpc completion added into _gcc()
cat, less, more, ln and strip no longer bound to _filedir()
----------------------------
revision 1.121
date: 2002/02/17 16:50:17;  author: ianmacd;  state: Exp;  lines: +2 -2

ee, xv, qiv and display also complete on .xpm files
----------------------------
revision 1.120
date: 2002/02/16 01:13:00;  author: ianmacd;  state: Exp;  lines: +36 -21

break part of _gcc() into _longopt() and use this for ldd, wget, bash, id and
  info completion, as demonstrated by Manu Rouat <emmanuel.rouat@wanadoo.fr>
----------------------------
revision 1.119
date: 2002/02/15 23:53:58;  author: ianmacd;  state: Exp;  lines: +57 -1

completion for gcc and back-ends (g++, c++, g77, and gcj) from
  Phil Edwards <phil@jaj.com>
----------------------------
revision 1.118
date: 2002/02/15 07:18:22;  author: ianmacd;  state: Exp;  lines: +2 -2

update release to 20020215
----------------------------
revision 1.117
date: 2002/02/15 00:44:21;  author: ianmacd;  state: Exp;  lines: +2 -2

mplayer also completes on .wmv files
----------------------------
revision 1.116
date: 2002/02/14 23:39:04;  author: ianmacd;  state: Exp;  lines: +15 -16

_man(): use manpath instead of /etc/man{,path}.config to find list of paths
  to search. This approach honours $MANPATH
_man(): fixed bug that caused a spurious ':' to be returned as a possible
  completion for all manual sections
----------------------------
revision 1.115
date: 2002/02/14 21:11:31;  author: ianmacd;  state: Exp;  lines: +9 -14

_rpm(): add --nodeps and --nodirtokens to possible completions for rpm -b*
  and rpm -t*
_rpm(): add --rmsource, --rmspec, --sign & --nodirtokens to possible
  completions for rpm --rebuild and rpm --recompile
_rpm(): rpm --recompile and --rebuild now offer compatible long options as
  possible completions, even when current parameter does not start with a '-'
_rpm(): rpm --clean, --rmsource and --rmspec now offer compatible long options
  as possible completions, even when current parameter does not start with a '-'
----------------------------
revision 1.114
date: 2002/02/14 20:07:42;  author: ianmacd;  state: Exp;  lines: +8 -5

_rpm(): default to directory completion as a last resort in more cases
----------------------------
revision 1.113
date: 2002/02/14 17:49:43;  author: ianmacd;  state: Exp;  lines: +7 -4

_man(): check for /etc/manpath.config as well as /etc/man.config, since
  Debian uses the former
----------------------------
revision 1.112
date: 2002/02/13 19:25:22;  author: ianmacd;  state: Exp;  lines: +2 -4

user name completion for passwd was accidentally later replaced by group
  name completion (duh)
----------------------------
revision 1.111
date: 2002/02/13 19:23:52;  author: ianmacd;  state: Exp;  lines: +4 -5

add rsh, rlogin & ftp to commands that use _known_hosts()
----------------------------
revision 1.110
date: 2002/02/13 19:20:59;  author: ianmacd;  state: Exp;  lines: +29 -1

beginnings of psql completion
----------------------------
revision 1.109
date: 2002/02/13 18:33:29;  author: ianmacd;  state: Exp;  lines: +2 -2

mplayer also completes on .mov files
----------------------------
revision 1.108
date: 2002/02/13 17:02:57;  author: ianmacd;  state: Exp;  lines: +8 -6

update release to 20020213
----------------------------
revision 1.107
date: 2002/02/13 16:54:03;  author: ianmacd;  state: Exp;  lines: +2 -2

add line continuation character to _tcpdump(), or compgen will eat up all of
  the memory on the system
----------------------------
revision 1.106
date: 2002/02/13 16:46:15;  author: ianmacd;  state: Exp;  lines: +4 -7

breaking completion definitions that use -X over multiple lines broke them,
  when later reassigning them to _filedir_xspec()
----------------------------
revision 1.105
date: 2002/02/12 18:36:17;  author: ianmacd;  state: Exp;  lines: +2 -2

updated release to 20020212
----------------------------
revision 1.104
date: 2002/02/12 17:05:22;  author: ianmacd;  state: Exp;  lines: +8 -12

clean up _man() a little
----------------------------
revision 1.103
date: 2002/02/11 23:28:47;  author: ianmacd;  state: Exp;  lines: +36 -3

beginnings of gdb completion
type now simply completes on commands (complete -c) rather than using
  _command()
----------------------------
revision 1.102
date: 2002/02/11 06:06:19;  author: ianmacd;  state: Exp;  lines: +5 -4

in _apt-cache(), return package list for --show, --showpkg, --depends
  and --dotty
----------------------------
revision 1.101
date: 2002/02/11 03:14:08;  author: ianmacd;  state: Exp;  lines: +6 -7

_scp() now suffixes a ':' on hostnames
----------------------------
revision 1.100
date: 2002/02/11 02:49:26;  author: ianmacd;  state: Exp;  lines: +22 -4

add bash export completion
change $cword reference to $cur in alias completion
remove local from list of built-ins that complete on variables, since local
  can't be used interactively
----------------------------
revision 1.99
date: 2002/02/11 00:11:03;  author: ianmacd;  state: Exp;  lines: +35 -1

alias and function completion based on code submitted by
  ulf.bartelt@t-online.de <Ulf Bartelt>
----------------------------
revision 1.98
date: 2002/02/10 21:45:46;  author: ianmacd;  state: Exp;  lines: +18 -1

ncftp bookmark completion from Markus Dobel <mdobel@kawo2.rwth-aachen.de>
----------------------------
revision 1.97
date: 2002/02/10 21:32:39;  author: ianmacd;  state: Exp;  lines: +3 -2

add qiv and display to list of programs that complete on image files
xfig completes on .fig files
----------------------------
revision 1.96
date: 2002/02/09 08:30:49;  author: ianmacd;  state: Exp;  lines: +2 -2

update release to 20020209
----------------------------
revision 1.95
date: 2002/02/08 18:16:44;  author: ianmacd;  state: Exp;  lines: +4 -3

fixed minor quoting bug in _filedir() and _filedir_xspec() that caused paths
  with embedded spaces to still not be correctly completed in some cases
----------------------------
revision 1.94
date: 2002/02/08 17:49:05;  author: ianmacd;  state: Exp;  lines: +17 -18

_man(): some systems (e.g. Mandrake) have bzipped man pages
_man(): remove code duplication
more file types for ee and xv
----------------------------
revision 1.93
date: 2002/02/06 19:02:53;  author: ianmacd;  state: Exp;  lines: +2 -2

updated release to 20020206
----------------------------
revision 1.92
date: 2002/02/06 18:41:06;  author: ianmacd;  state: Exp;  lines: +3 -3

make -name, -lname, -iname & -ilname complete on files in _find() and
  change default completion from -o default to -o filenames
----------------------------
revision 1.91
date: 2002/02/06 17:05:12;  author: ianmacd;  state: Exp;  lines: +3 -2

make xdvi also complete on .Z, .gz and .bz2 files
----------------------------
revision 1.90
date: 2002/02/06 16:54:09;  author: ianmacd;  state: Exp;  lines: +15 -15

change instances of -X '!*.+(foo|bar)' to -X '!*.@(foo|bar) in the various
  one-liners, so that e.g. baz would complete on .foo or .bar, but not .foobar
----------------------------
revision 1.89
date: 2002/02/06 05:02:46;  author: ianmacd;  state: Exp;  lines: +9 -6

added a bunch of one-liners from patch by Matthias Klose <doko@cs.tu-berlin.de>
----------------------------
revision 1.88
date: 2002/02/06 02:51:20;  author: ianmacd;  state: Exp;  lines: +2 -2

add --pkgid, --hdrid, --fileid & --tid query options to _rpm() for rpm 4.0.4
----------------------------
revision 1.87
date: 2002/02/05 16:55:30;  author: ianmacd;  state: Exp;  lines: +3 -3

unzip also completes on .pk3 (Quake map) files
xmms, gqmpeg & freeamp also complete on .pls files
----------------------------
revision 1.86
date: 2002/02/04 19:11:42;  author: ianmacd;  state: Exp;  lines: +3 -2

in _rpm(), consult /var/log/rpmpkgs for package list only if it is newer
  than /var/lib/rpm/Packages
----------------------------
revision 1.85
date: 2002/02/04 19:07:33;  author: ianmacd;  state: Exp;  lines: +5 -5

make scp work with files with embedded spaces (grr...)
----------------------------
revision 1.84
date: 2002/02/04 03:15:42;  author: ianmacd;  state: Exp;  lines: +2 -2

updated release to 20020204
----------------------------
revision 1.83
date: 2002/02/04 03:12:10;  author: ianmacd;  state: Exp;  lines: +62 -1

screen completion added  - _screen()
beginnings of openssl completion added - _openssl()
----------------------------
revision 1.82
date: 2002/02/03 22:01:43;  author: ianmacd;  state: Exp;  lines: +13 -2

make --clean --rmsource and --rmspec work together in _rpm()
----------------------------
revision 1.81
date: 2002/01/31 18:03:19;  author: ianmacd;  state: Exp;  lines: +3 -3

not all awks are created equal, so use sub() instead of gensub() in _killall()
----------------------------
revision 1.80
date: 2002/01/31 17:01:43;  author: ianmacd;  state: Exp;  lines: +2 -2

in _zip(), $xspec needs to be quoted to stop it from acting as a shell glob,
  rather than a parameter to compgen
----------------------------
revision 1.79
date: 2002/01/31 01:35:52;  author: ianmacd;  state: Exp;  lines: +2 -2

unzip now also handles .exe files
----------------------------
revision 1.78
date: 2002/01/30 19:48:45;  author: ianmacd;  state: Exp;  lines: +19 -12

fix _find() so that if first command line parameter does not begin with -,
  directory completion is performed. Previously 'find h<Tab>' would result
  in 'find -help'.
----------------------------
revision 1.77
date: 2002/01/30 05:08:47;  author: ianmacd;  state: Exp;  lines: +2 -2

update release to 20020130
----------------------------
revision 1.76
date: 2002/01/30 05:04:28;  author: ianmacd;  state: Exp;  lines: +3 -3

--clean can be used stand-alone in _rpm()
----------------------------
revision 1.75
date: 2002/01/29 23:06:26;  author: ianmacd;  state: Exp;  lines: +16 -10

make _ifupdown() detect a Debian Linux system and act accordingly
in _man(), check that /etc/man.config is readable, not just that it exists
in _rpm(), check that /var/log/rpmpkgs is readable, not just that it exists
----------------------------
revision 1.74
date: 2002/01/29 21:33:49;  author: ianmacd;  state: Exp;  lines: +8 -3

define $BASH_COMPLETION to hold location of completion script. This is a
  read-only variable used by _filedir_xspec(). Why doesn't bash have a
  built-in variable to return the path of the file currently being sourced?
----------------------------
revision 1.73
date: 2002/01/29 20:30:00;  author: ianmacd;  state: Exp;  lines: +2 -2

apparently, it should be aviplay, not avifile
----------------------------
revision 1.72
date: 2002/01/29 18:31:22;  author: ianmacd;  state: Exp;  lines: +4 -1

call _expand() from a couple more places in _rpm()
----------------------------
revision 1.71
date: 2002/01/24 21:20:31;  author: ianmacd;  state: Exp;  lines: +2 -2

make _filedir_xspec() use the basename of commands when looking for matching
  exclusion specs (acroread <Tab> worked, whereas /opt/bin/acroread <Tab>
  did not)
----------------------------
revision 1.70
date: 2002/01/24 05:03:26;  author: ianmacd;  state: Exp;  lines: +11 -6

release updated to 20020124
call _expand() from some of the completion routines()
find now performs default completion, rather than dirnames, if nothing else
  is returned
----------------------------
revision 1.69
date: 2002/01/24 00:41:00;  author: ianmacd;  state: Exp;  lines: +3 -3

_rpm() now performs tilde expansion when file globbing
removed commented out gzip and bzip2 one-liners
----------------------------
revision 1.68
date: 2002/01/24 00:36:30;  author: ianmacd;  state: Exp;  lines: +17 -6

renamed _file_and_dir() _filedir_xspec()
created _filedir(), which is used by cat, less, more, ln and strip, so that
  tilde expansion can be performed, prior to pathname expansion
----------------------------
revision 1.67
date: 2002/01/24 00:13:21;  author: ianmacd;  state: Exp;  lines: +41 -11

_zip() added for gzip and bzip2, so that they complete on .gz2 and .bz2 files
  when invoked with the -d flag.
_expand() created for doing tilde expansion on path names. It returns the
  number of elements in the COMPREPLY array. _zip(), _cd() and
  _file_and_dir() now call this.
fixed minor bug in _file_and_dir() that was removing the '-' from the front of
 its parameter
----------------------------
revision 1.66
date: 2002/01/23 21:35:17;  author: ianmacd;  state: Exp;  lines: +5 -3

by popular request, comment out compspecs for gzip and bzip2. Added a
  conditional to installation section of _file_and_dir() to not bind commented
  out compspecs to commands
----------------------------
revision 1.65
date: 2002/01/23 18:24:46;  author: ianmacd;  state: Exp;  lines: +5 -5

add --rmspec handling to _rpm()
----------------------------
revision 1.64
date: 2002/01/23 18:14:19;  author: ianmacd;  state: Exp;  lines: +7 -8

turn off command tracing when DEBUG is unset
unzip also unpacks .jar files
add ggv to commands that take PostScript files
mplayer CAN'T use MP3 files
_command() wasn't redirecting stderr, so would display a harmless error message
  when in 'sudo x <Tab>', 'x' didn't have its own compspec
in 'sudo x $1 $2 $n', _command() was calling x's own completion function and
  passing the rest of the command line as a single parameter, rather than as
  individual tokens. This is fixed, but there may be other breakage as a
  result. Need to do more testing.
----------------------------
revision 1.63
date: 2002/01/22 08:19:47;  author: ianmacd;  state: Exp;  lines: +2 -2

handle rpm -qip (and similar) as well as rpm -qpi
----------------------------
revision 1.62
date: 2002/01/21 16:48:10;  author: ianmacd;  state: Exp;  lines: +3 -1

fix bug in 'sudo x <Tab>' where 'x' has no compspec of its own
----------------------------
revision 1.61
date: 2002/01/21 16:29:54;  author: ianmacd;  state: Exp;  lines: +3 -3

errors caused by missing quotes fixed (duh!)
----------------------------
revision 1.60
date: 2002/01/21 04:58:42;  author: ianmacd;  state: Exp;  lines: +2 -20

remove previous _command() completion function
updated release to 20010121
----------------------------
revision 1.59
date: 2002/01/18 16:54:22;  author: ianmacd;  state: Exp;  lines: +49 -2

completely rewrote _command(), so that commands like sudo and strace first
  complete on a command, then complete according to that command's own
  completion specification. E.g. sudo rpm <Tab> would further complete
  according to _rpm(), as if it were being called directly
iptables completion was being installed, even if it were not in user's PATH
----------------------------
revision 1.58
date: 2002/01/16 08:18:11;  author: ianmacd;  state: Exp;  lines: +7 -1

added some one-liners for multimedia programs
----------------------------
revision 1.57
date: 2002/01/16 08:14:14;  author: ianmacd;  state: Exp;  lines: +10 -7

_known_hosts(): finally thought of a way to correctly perform completion
  when host specification is of the form user@host
_known_hosts(): moved escaping of dots in $cur to within 'if' block that
  requires it
----------------------------
revision 1.56
date: 2002/01/16 03:16:56;  author: ianmacd;  state: Exp;  lines: +2 -2

_man() wasn't completing on filenames with a relative path
----------------------------
revision 1.55
date: 2002/01/15 18:20:48;  author: ianmacd;  state: Exp;  lines: +2 -2

updated release to 20020115
----------------------------
revision 1.54
date: 2002/01/14 21:38:22;  author: ianmacd;  state: Exp;  lines: +33 -1

mysqladmin completion
----------------------------
revision 1.53
date: 2002/01/09 16:32:30;  author: ianmacd;  state: Exp;  lines: +2 -2

updated release to 20020109
----------------------------
revision 1.52
date: 2002/01/08 05:49:06;  author: ianmacd;  state: Exp;  lines: +35 -11

added _chgrp() completion
----------------------------
revision 1.51
date: 2002/01/08 01:33:08;  author: ianmacd;  state: Exp;  lines: +19 -1

added _ifupdown() for Red Hat Linux if{up,down} completion
----------------------------
revision 1.50
date: 2002/01/08 01:26:49;  author: ianmacd;  state: Exp;  lines: +45 -7

improve _iptables() with some chain name completion
----------------------------
revision 1.49
date: 2002/01/06 19:11:12;  author: ianmacd;  state: Exp;  lines: +3 -2

fix iptables - it no longer worked at all, because $prev wasn't set
----------------------------
revision 1.48
date: 2002/01/06 04:21:04;  author: ianmacd;  state: Exp;  lines: +2 -2

_cd() was no longer completing relative to $CDPATH
----------------------------
revision 1.47
date: 2002/01/05 21:04:01;  author: ianmacd;  state: Exp;  lines: +3 -1

add release date
----------------------------
revision 1.46
date: 2002/01/05 20:48:59;  author: ianmacd;  state: Exp;  lines: +6 -4

fixed _cd() so that if $CDPATH is set and no completions are returned
  relative to its paths, we still attempt directory completion relative to $PWD
----------------------------
revision 1.45
date: 2002/01/05 20:42:41;  author: ianmacd;  state: Exp;  lines: +9 -5

make gv also complete on encapsulated PostScript files
add jadetex and pdfjadetex to commands that complete on tex files
improved tar completion to handle .tgz and .tar files
inproved tar completion to perform file completion when c*f is the first
  parameter
----------------------------
revision 1.44
date: 2002/01/04 19:29:18;  author: ianmacd;  state: Exp;  lines: +4 -4

add 'conflicts' and 'obsoletes' query completions to _rpm()
----------------------------
revision 1.43
date: 2002/01/04 05:34:21;  author: ianmacd;  state: Exp;  lines: +7 -6

make gv also complete on PDF files
include --repackage for rpm -[ei]
fix _cd so that it completes on directories with an embedded space
fix _file_and_dir so that it completes on directories with an embedded space
----------------------------
revision 1.42
date: 2002/01/03 01:17:44;  author: ianmacd;  state: Exp;  lines: +2 -2

no group completion for chgrp, since we ideally also want filename completion
  on second and subsequent parameters
----------------------------
revision 1.41
date: 2002/01/03 01:16:41;  author: ianmacd;  state: Exp;  lines: +17 -15

add group completion for chgrp
change embedded tabs in the file to $'\t' syntax
be a bit more elegant in determining location of showmount in _mount()
condense awk|grep combo in _configure() to a single sed command
be more intelligent about parsing for exclusion (-X) compspecs when
  binding commands to _file_and_dir()
----------------------------
revision 1.40
date: 2001/12/21 08:56:18;  author: ianmacd;  state: Exp;  lines: +6 -4

check for showmount in /sbin or /usr/sbin in _mount()
----------------------------
revision 1.39
date: 2001/12/20 19:26:49;  author: ianmacd;  state: Exp;  lines: +4 -3

add a compspec for mpg123
condense grep | head into a single sed command in _file_and_dir
----------------------------
revision 1.38
date: 2001/12/20 17:12:44;  author: ianmacd;  state: Exp;  lines: +16 -17

avoid use of extra file descriptor and grep in _file_and_dir by using
  parameter substitutions
----------------------------
revision 1.37
date: 2001/12/20 08:52:12;  author: ianmacd;  state: Exp;  lines: +44 -4

added _file_and_dir as a meta-function for compspecs requiring the -X flag
  This allows us to exclude files without excluding directories
use IFS=$'\t' instead of IFS=$(echo -e "\t")
----------------------------
revision 1.36
date: 2001/12/18 04:43:25;  author: ianmacd;  state: Exp;  lines: +137 -137

replace spaces with tabs
----------------------------
revision 1.35
date: 2001/12/18 04:25:04;  author: ianmacd;  state: Exp;  lines: +23 -3

basic nslookup completion added
----------------------------
revision 1.34
date: 2001/12/13 21:34:17;  author: ianmacd;  state: Exp;  lines: +3 -7

make ee and xv complete on more file-types
----------------------------
revision 1.33
date: 2001/12/11 21:25:53;  author: ianmacd;  state: Exp;  lines: +21 -2

ant completion added
----------------------------
revision 1.32
date: 2001/12/05 18:05:49;  author: ianmacd;  state: Exp;  lines: +2 -2

use type (built-in) instead of which (external) to determine whether a
  particular command is available
----------------------------
revision 1.31
date: 2001/12/05 17:32:24;  author: ianmacd;  state: Exp;  lines: +17 -23

- removed misleading comment on _man completion
- use -g, not -u for group completion (duh!)
- avoid unnecessary use of $COMPREPLY_SAVE in _ssh/_scp
- use '-' as prefix (-P) to kill, not '%', and put it *before* command
- default to filename completion on _scp
- removed a couple of definitions of $prev that weren't actually used
- source ~/.bash_completion if it exists
----------------------------
revision 1.30
date: 2001/11/29 01:37:54;  author: ianmacd;  state: Exp;  lines: +8 -24

removed _gid_function and made other modifications to account for the fact
  that group completion is now standard in bash 2.05a
----------------------------
revision 1.29
date: 2001/11/26 19:19:59;  author: ianmacd;  state: Exp;  lines: +5 -2

make _known_hosts() escape meta-characters in paths before handing off to awk
added missing ` in _service
----------------------------
revision 1.28
date: 2001/11/20 21:35:19;  author: ianmacd;  state: Exp;  lines: +2 -3

$prev not needed in _scp
----------------------------
revision 1.27
date: 2001/11/20 05:15:48;  author: ianmacd;  state: Exp;  lines: +43 -22

- default to _dirnames on _find
- fixed bug in _known_hosts that caused keys to be printed from known_hosts2
  files
- made _ssh a little more intelligent
- added _scp
- made _cd expand ~ in directory specs
- declared i as a local variable in many functions
----------------------------
revision 1.26
date: 2001/11/05 00:11:48;  author: ianmacd;  state: Exp;  lines: +11 -5

_rpm now uses /var/log/rpmpkgs if available (in RHL 7.2), since this is much
  faster than rpm -qa, at the expense of actuality
_man completion now looks at section 'l' (local) of the manual
----------------------------
revision 1.25
date: 2001/09/21 20:51:30;  author: ianmacd;  state: Exp;  lines: +5 -3

fixed bug in _cd that caused no completions to be returned if CDPATH was not
set and user was not trying to complete on an absolute path
----------------------------
revision 1.24
date: 2001/08/22 17:20:27;  author: ianmacd;  state: Exp;  lines: +23 -23

reverted to previous version of _rpm, since last time's fixes broke more things than
  they fixed.
----------------------------
revision 1.23
date: 2001/08/16 17:49:39;  author: ianmacd;  state: Exp;  lines: +70 -17

added _command completion function and extended Perforce completion, both written by
  Frank Cusack (frank@google.com)
----------------------------
revision 1.22
date: 2001/08/16 17:27:02;  author: ianmacd;  state: Exp;  lines: +23 -23

made rpm completion work when -p option to check uninstalled packages is not concatenated
with other options (e.g. -ql -p instead of -qlp)
----------------------------
revision 1.21
date: 2001/07/12 05:52:25;  author: ianmacd;  state: Exp;  lines: +6 -6

tune cd completion for standard dir completion when all else fails
p4 completion completes on files after first parameter
p4 completion now gives default completion if all else fails
----------------------------
revision 1.20
date: 2001/07/09 02:55:01;  author: ianmacd;  state: Exp;  lines: +41 -21

corrected bug in have() support function - it returned false positives
umount, rmmod, find, rpm, apt-get, apt-cache, make use '-o filenames'
mount uses '-o default' to get default completion if all else fails
added basic perforce completion
----------------------------
revision 1.19
date: 2001/07/09 01:14:13;  author: ianmacd;  state: Exp;  lines: +91 -12

added have() function for checking for presence of binaries
check for binaries before installing functions and completions
use '-o' option to 'complete' for optimal completion behaviour
basic tar(1), iptables(8), tcpdump(8) completion added
----------------------------
revision 1.18
date: 2001/05/21 22:10:29;  author: ianmacd;  state: Exp;  lines: +10 -121

various clean-ups for bash 2.05 ('complete -o' means we can simplify a
  bunch of default code)
_cd function made active again
meta default completion function removed (bash 2.05 has 'complete -o default')
----------------------------
revision 1.17
date: 2001/03/22 00:33:02;  author: ianmacd;  state: Exp;  lines: +2 -2

fixed typo in rpm completion
----------------------------
revision 1.16
date: 2001/03/05 20:12:48;  author: ianmacd;  state: Exp;  lines: +207 -21

don't try to do NFS mount completion if we don't seem to have showmount
fix quoting issue in insmod completion
add --specfile, --what{provides,requires} sections to RPM completion
move -*g) case glob down to end of case, to avoid catching --checksig in RPM
  completion
check /etc/known_hosts2 & ~/.ssh/known_hosts2 for hosts in _known_hosts
  completion
fixed typo in service completion
added preliminary _cd meta-function
added some more meta-functions from sample completions supplied with bash 2.04
  source
----------------------------
revision 1.15
date: 2001/01/31 23:57:06;  author: ianmacd;  state: Exp;  lines: +16 -1

modprobe -r now completes a la insmod
insmod/modprobe now complete on filenames if parameter contains a /
----------------------------
revision 1.14
date: 2001/01/31 23:30:49;  author: ianmacd;  state: Exp;  lines: +8 -7

insmod completion was not completing module parameters correctly
man completion now resorts to filename completion if no /etc/man.config
----------------------------
revision 1.13
date: 2001/01/11 00:09:48;  author: ianmacd;  state: Exp;  lines: +29 -1

added Red Hat service completion
----------------------------
revision 1.12
date: 2000/12/20 03:04:54;  author: ianmacd;  state: Exp;  lines: +6 -2

added --rmsource as stand-alone option to RPM completion
----------------------------
revision 1.11
date: 2000/12/19 20:54:49;  author: ianmacd;  state: Exp;  lines: +28 -11

fixed bug in killall completion that caused swapped out processes to not be
  completed
added file_glob() function to rpm completion
----------------------------
revision 1.10
date: 2000/11/20 21:41:43;  author: ianmacd;  state: Exp;  lines: +76 -45

rpm completion updated for extra options in rpm 4.x (added --eval, --pipe,
  --rcfile, etc.)
some minor bug fixes to rpm completion; code tidied in places
added some outstanding long options to rpm completion (--install, --freshen,
  --upgrade, --info, --list, --state, --docfiles, --queryformat, --verify  etc.)
added -g group completion
----------------------------
revision 1.9
date: 2000/10/29 23:17:19;  author: ianmacd;  state: Exp;  lines: +5 -5

fixed RPM completion. Not all RPMs were found when completing -e, etc.
----------------------------
revision 1.8
date: 2000/10/19 17:25:36;  author: ianmacd;  state: Exp;  lines: +4 -20

reverted cd, mkdir & pushd to standard -d directory completion
----------------------------
revision 1.7
date: 2000/10/09 20:07:50;  author: ianmacd;  state: Exp;  lines: +164 -16

default to filename completion if all else fails on _mound() and _find()
do filename completion in _man() if parameter contains a /
add filename completion to list of _man completions if no manual section
  specified
added functionality to FreeS/WAN IPSec completion
added Debian apt-get & apt-cache completion
added more intelligent directory completion in new _directory function
----------------------------
revision 1.6
date: 2000/09/25 23:38:11;  author: ianmacd;  state: Exp;  lines: +118 -30

added Makefile completion
split _ssh function up into a _known_hosts function for use by other commands
improved insmod completion with module paramter completion
----------------------------
revision 1.5
date: 2000/09/11 20:46:39;  author: ianmacd;  state: Exp;  lines: +66 -10

fixed bug in man completion that caused pages with a dot in them
  (e.g. lilo.conf) not to be found
ssh completion enhanced with command completion after host has been given
fixed bug in ssh completion that caused bad completions when completing on
  a digit
added route(8) completion
----------------------------
revision 1.4
date: 2000/08/29 21:21:00;  author: ianmacd;  state: Exp;  lines: +20 -11

fixed bug in killall completion (processes with a path were not completed)
added cipher completion to -c option of ssh
----------------------------
revision 1.3
date: 2000/08/29 02:41:27;  author: ianmacd;  state: Exp;  lines: +116 -63

added ssh completion
cleaned the code in some of the other functions
----------------------------
revision 1.2
date: 2000/08/11 23:20:41;  author: ianmacd;  state: Exp;  lines: +253 -1

added cvs, rpm, chkconfig and chsh completion
----------------------------
revision 1.1
date: 2000/08/09 00:17:29;  author: ianmacd;  state: Exp;

initial check-in of bash 2.04 programmable completion stuff
----------------------------
revision 1.504.2.4
date: 2003/01/02 18:41:37;  author: ianmacd;  state: Exp;  lines: +2 -2

- update release to 20030102-devel
----------------------------
revision 1.504.2.3
date: 2003/01/02 02:33:32;  author: ianmacd;  state: Exp;  lines: +2 -2

- add minor vim fix from main branch
----------------------------
revision 1.504.2.2
date: 2003/01/01 01:07:08;  author: ianmacd;  state: Exp;  lines: +61 -90

- large function clean-up by "Guillaume Rousse" <rousse@ccr.jussieu.fr>
----------------------------
revision 1.504.2.1
date: 2003/01/01 01:05:35;  author: ianmacd;  state: Exp;  lines: +160 -44

- split for devel branch
- rsync completion by "Guillaume Rousse" <rousse@ccr.jussieu.fr>
=============================================================================
